#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 473
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 142
#define ALIAS_COUNT 2
#define TOKEN_COUNT 81
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 4
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 24

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_alias = 2,
  anon_sym_COLON_EQ = 3,
  anon_sym_export = 4,
  anon_sym_import = 5,
  anon_sym_QMARK = 6,
  anon_sym_mod = 7,
  anon_sym_AT = 8,
  anon_sym_COLON = 9,
  anon_sym_AMP_AMP = 10,
  anon_sym_LBRACK = 11,
  anon_sym_COMMA = 12,
  anon_sym_RBRACK = 13,
  anon_sym_LPAREN = 14,
  anon_sym_RPAREN = 15,
  anon_sym_DOLLAR = 16,
  anon_sym_EQ = 17,
  anon_sym_PLUS = 18,
  anon_sym_STAR = 19,
  aux_sym_shebang_line_token1 = 20,
  anon_sym_AT_DASH = 21,
  anon_sym_DASH_AT = 22,
  anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv = 23,
  aux_sym_shebang_line_token2 = 24,
  sym_shebang_shell = 25,
  anon_sym_DASH = 26,
  anon_sym_LBRACE_LBRACE_LBRACE_LBRACE = 27,
  aux_sym__recipe_line_choice_token1 = 28,
  anon_sym_LBRACE_LBRACE = 29,
  anon_sym_RBRACE_RBRACE = 30,
  anon_sym_set = 31,
  anon_sym_shell = 32,
  anon_sym_true = 33,
  anon_sym_false = 34,
  anon_sym_if = 35,
  anon_sym_LBRACE = 36,
  anon_sym_RBRACE = 37,
  anon_sym_else = 38,
  anon_sym_assert = 39,
  anon_sym_SLASH = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_BANG_EQ = 42,
  anon_sym_EQ_TILDE = 43,
  anon_sym_BQUOTE = 44,
  aux_sym__backtick_token1 = 45,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 46,
  aux_sym__indented_backtick_token1 = 47,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 48,
  aux_sym__indented_normal_string_token1 = 49,
  anon_sym_DQUOTE = 50,
  aux_sym__normal_string_token1 = 51,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 52,
  aux_sym__indented_raw_string_token1 = 53,
  anon_sym_SQUOTE = 54,
  aux_sym__raw_string_token1 = 55,
  anon_sym_BSLASHn = 56,
  anon_sym_BSLASHr = 57,
  anon_sym_BSLASHt = 58,
  anon_sym_BSLASH_DQUOTE = 59,
  anon_sym_BSLASH_BSLASH = 60,
  aux_sym_escape_sequence_token1 = 61,
  anon_sym_x_DQUOTE_DQUOTE_DQUOTE = 62,
  aux_sym__shell_expanded_indented_normal_string_token1 = 63,
  aux_sym__shell_expanded_indented_normal_string_token2 = 64,
  anon_sym_x_DQUOTE = 65,
  aux_sym__shell_expanded_normal_string_token1 = 66,
  aux_sym__shell_expanded_normal_string_token2 = 67,
  anon_sym_x_SQUOTE_SQUOTE_SQUOTE = 68,
  aux_sym__shell_expanded_indented_raw_string_token1 = 69,
  anon_sym_x_SQUOTE = 70,
  aux_sym__shell_expanded_raw_string_token1 = 71,
  aux_sym__shell_expanded_raw_string_token2 = 72,
  sym_shell_variable_name = 73,
  sym_escape_variable_end = 74,
  sym_expansion_long_start = 75,
  sym_expansion_long_middle = 76,
  sym_expansion_long_end = 77,
  aux_sym_comment_token1 = 78,
  sym__eol = 79,
  sym_numeric_error = 80,
  sym_file = 81,
  sym_alias = 82,
  sym_assignment = 83,
  sym_import = 84,
  sym_mod = 85,
  sym_recipe = 86,
  sym_recipe_parameters = 87,
  sym__attribute_list = 88,
  sym_attribute = 89,
  sym_recipe_parameter = 90,
  sym_variadic_parameter = 91,
  sym_recipe_dependency = 92,
  sym__recipe_dependency = 93,
  sym_recipe_body = 94,
  sym_shebang_line = 95,
  sym_recipe_line = 96,
  sym__recipe_line_choice = 97,
  sym_interpolation = 98,
  sym_setting = 99,
  sym__setting_boolean = 100,
  sym__setting_string = 101,
  sym__setting_list = 102,
  sym_boolean = 103,
  sym_expression = 104,
  sym_condition = 105,
  sym_assert_parameters = 106,
  sym_value = 107,
  sym_function_call = 108,
  sym_function_parameters = 109,
  sym_external_command = 110,
  sym__backtick = 111,
  sym__indented_backtick = 112,
  sym_string = 113,
  sym_shell_expanded_string = 114,
  sym_escape_sequence = 115,
  sym_expansion_short_start = 116,
  sym_comment = 117,
  sym__ceol = 118,
  aux_sym_file_repeat1 = 119,
  aux_sym_alias_repeat1 = 120,
  aux_sym_recipe_repeat1 = 121,
  aux_sym_recipe_parameters_repeat1 = 122,
  aux_sym__attribute_list_repeat1 = 123,
  aux_sym_recipe_dependency_repeat1 = 124,
  aux_sym_recipe_body_repeat1 = 125,
  aux_sym_shebang_line_repeat1 = 126,
  aux_sym_shebang_line_repeat2 = 127,
  aux_sym__setting_list_repeat1 = 128,
  aux_sym_function_parameters_repeat1 = 129,
  aux_sym__indented_backtick_repeat1 = 130,
  aux_sym__indented_normal_string_repeat1 = 131,
  aux_sym__normal_string_repeat1 = 132,
  aux_sym__indented_raw_string_repeat1 = 133,
  aux_sym__shell_expanded_indented_normal_string_repeat1 = 134,
  aux_sym__shell_expanded_indented_normal_string_repeat2 = 135,
  aux_sym__shell_expanded_normal_string_repeat1 = 136,
  aux_sym__shell_expanded_normal_string_repeat2 = 137,
  aux_sym__shell_expanded_indented_raw_string_repeat1 = 138,
  aux_sym__shell_expanded_indented_raw_string_repeat2 = 139,
  aux_sym__shell_expanded_raw_string_repeat1 = 140,
  aux_sym__shell_expanded_raw_string_repeat2 = 141,
  alias_sym_path = 142,
  alias_sym_regex = 143,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_alias] = "alias",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_export] = "export",
  [anon_sym_import] = "import",
  [anon_sym_QMARK] = "\?",
  [anon_sym_mod] = "mod",
  [anon_sym_AT] = "@",
  [anon_sym_COLON] = ":",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LBRACK] = "[",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [aux_sym_shebang_line_token1] = "shebang_line_token1",
  [anon_sym_AT_DASH] = "@-",
  [anon_sym_DASH_AT] = "-@",
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = "#!/usr/bin/env",
  [aux_sym_shebang_line_token2] = "shebang_line_token2",
  [sym_shebang_shell] = "shebang_shell",
  [anon_sym_DASH] = "-",
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = "{{{{",
  [aux_sym__recipe_line_choice_token1] = "_recipe_line_choice_token1",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [anon_sym_set] = "set",
  [anon_sym_shell] = "shell",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_if] = "if",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_else] = "else",
  [anon_sym_assert] = "assert",
  [anon_sym_SLASH] = "/",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BQUOTE] = "`",
  [aux_sym__backtick_token1] = "content",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [aux_sym__indented_backtick_token1] = "_indented_backtick_token1",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [aux_sym__indented_normal_string_token1] = "_indented_normal_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__normal_string_token1] = "_normal_string_token1",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [aux_sym__indented_raw_string_token1] = "_indented_raw_string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym__raw_string_token1] = "_raw_string_token1",
  [anon_sym_BSLASHn] = "\\n",
  [anon_sym_BSLASHr] = "\\r",
  [anon_sym_BSLASHt] = "\\t",
  [anon_sym_BSLASH_DQUOTE] = "\\\"",
  [anon_sym_BSLASH_BSLASH] = "\\\\",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = "x\"\"\"",
  [aux_sym__shell_expanded_indented_normal_string_token1] = "_shell_expanded_indented_normal_string_token1",
  [aux_sym__shell_expanded_indented_normal_string_token2] = "_shell_expanded_indented_normal_string_token2",
  [anon_sym_x_DQUOTE] = "x\"",
  [aux_sym__shell_expanded_normal_string_token1] = "_shell_expanded_normal_string_token1",
  [aux_sym__shell_expanded_normal_string_token2] = "_shell_expanded_normal_string_token2",
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = "x'''",
  [aux_sym__shell_expanded_indented_raw_string_token1] = "_shell_expanded_indented_raw_string_token1",
  [anon_sym_x_SQUOTE] = "x'",
  [aux_sym__shell_expanded_raw_string_token1] = "_shell_expanded_raw_string_token1",
  [aux_sym__shell_expanded_raw_string_token2] = "_shell_expanded_raw_string_token2",
  [sym_shell_variable_name] = "shell_variable_name",
  [sym_escape_variable_end] = "escape_variable_end",
  [sym_expansion_long_start] = "expansion_long_start",
  [sym_expansion_long_middle] = "expansion_long_middle",
  [sym_expansion_long_end] = "expansion_long_end",
  [aux_sym_comment_token1] = "comment_token1",
  [sym__eol] = "_eol",
  [sym_numeric_error] = "numeric_error",
  [sym_file] = "file",
  [sym_alias] = "alias",
  [sym_assignment] = "assignment",
  [sym_import] = "import",
  [sym_mod] = "mod",
  [sym_recipe] = "recipe",
  [sym_recipe_parameters] = "recipe_parameters",
  [sym__attribute_list] = "_attribute_list",
  [sym_attribute] = "attribute",
  [sym_recipe_parameter] = "recipe_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_recipe_dependency] = "recipe_dependency",
  [sym__recipe_dependency] = "_recipe_dependency",
  [sym_recipe_body] = "recipe_body",
  [sym_shebang_line] = "shebang_line",
  [sym_recipe_line] = "recipe_line",
  [sym__recipe_line_choice] = "_recipe_line_choice",
  [sym_interpolation] = "interpolation",
  [sym_setting] = "setting",
  [sym__setting_boolean] = "_setting_boolean",
  [sym__setting_string] = "_setting_string",
  [sym__setting_list] = "_setting_list",
  [sym_boolean] = "boolean",
  [sym_expression] = "expression",
  [sym_condition] = "condition",
  [sym_assert_parameters] = "assert_parameters",
  [sym_value] = "value",
  [sym_function_call] = "function_call",
  [sym_function_parameters] = "function_parameters",
  [sym_external_command] = "external_command",
  [sym__backtick] = "_backtick",
  [sym__indented_backtick] = "_indented_backtick",
  [sym_string] = "string",
  [sym_shell_expanded_string] = "shell_expanded_string",
  [sym_escape_sequence] = "escape_sequence",
  [sym_expansion_short_start] = "expansion_short_start",
  [sym_comment] = "comment",
  [sym__ceol] = "_ceol",
  [aux_sym_file_repeat1] = "file_repeat1",
  [aux_sym_alias_repeat1] = "alias_repeat1",
  [aux_sym_recipe_repeat1] = "recipe_repeat1",
  [aux_sym_recipe_parameters_repeat1] = "recipe_parameters_repeat1",
  [aux_sym__attribute_list_repeat1] = "_attribute_list_repeat1",
  [aux_sym_recipe_dependency_repeat1] = "recipe_dependency_repeat1",
  [aux_sym_recipe_body_repeat1] = "recipe_body_repeat1",
  [aux_sym_shebang_line_repeat1] = "shebang_line_repeat1",
  [aux_sym_shebang_line_repeat2] = "shebang_line_repeat2",
  [aux_sym__setting_list_repeat1] = "_setting_list_repeat1",
  [aux_sym_function_parameters_repeat1] = "function_parameters_repeat1",
  [aux_sym__indented_backtick_repeat1] = "_indented_backtick_repeat1",
  [aux_sym__indented_normal_string_repeat1] = "_indented_normal_string_repeat1",
  [aux_sym__normal_string_repeat1] = "_normal_string_repeat1",
  [aux_sym__indented_raw_string_repeat1] = "_indented_raw_string_repeat1",
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = "_shell_expanded_indented_normal_string_repeat1",
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = "_shell_expanded_indented_normal_string_repeat2",
  [aux_sym__shell_expanded_normal_string_repeat1] = "_shell_expanded_normal_string_repeat1",
  [aux_sym__shell_expanded_normal_string_repeat2] = "_shell_expanded_normal_string_repeat2",
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = "_shell_expanded_indented_raw_string_repeat1",
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = "_shell_expanded_indented_raw_string_repeat2",
  [aux_sym__shell_expanded_raw_string_repeat1] = "_shell_expanded_raw_string_repeat1",
  [aux_sym__shell_expanded_raw_string_repeat2] = "_shell_expanded_raw_string_repeat2",
  [alias_sym_path] = "path",
  [alias_sym_regex] = "regex",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_alias] = anon_sym_alias,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [aux_sym_shebang_line_token1] = aux_sym_shebang_line_token1,
  [anon_sym_AT_DASH] = anon_sym_AT_DASH,
  [anon_sym_DASH_AT] = anon_sym_DASH_AT,
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
  [aux_sym_shebang_line_token2] = aux_sym_shebang_line_token2,
  [sym_shebang_shell] = sym_shebang_shell,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
  [aux_sym__recipe_line_choice_token1] = aux_sym__recipe_line_choice_token1,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_shell] = anon_sym_shell,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym__backtick_token1] = aux_sym__backtick_token1,
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [aux_sym__indented_backtick_token1] = aux_sym__indented_backtick_token1,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [aux_sym__indented_normal_string_token1] = aux_sym__indented_normal_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__normal_string_token1] = aux_sym__normal_string_token1,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [aux_sym__indented_raw_string_token1] = aux_sym__indented_raw_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym__raw_string_token1] = aux_sym__raw_string_token1,
  [anon_sym_BSLASHn] = anon_sym_BSLASHn,
  [anon_sym_BSLASHr] = anon_sym_BSLASHr,
  [anon_sym_BSLASHt] = anon_sym_BSLASHt,
  [anon_sym_BSLASH_DQUOTE] = anon_sym_BSLASH_DQUOTE,
  [anon_sym_BSLASH_BSLASH] = anon_sym_BSLASH_BSLASH,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
  [aux_sym__shell_expanded_indented_normal_string_token1] = aux_sym__shell_expanded_indented_normal_string_token1,
  [aux_sym__shell_expanded_indented_normal_string_token2] = aux_sym__shell_expanded_indented_normal_string_token2,
  [anon_sym_x_DQUOTE] = anon_sym_x_DQUOTE,
  [aux_sym__shell_expanded_normal_string_token1] = aux_sym__shell_expanded_normal_string_token1,
  [aux_sym__shell_expanded_normal_string_token2] = aux_sym__shell_expanded_normal_string_token2,
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
  [aux_sym__shell_expanded_indented_raw_string_token1] = aux_sym__shell_expanded_indented_raw_string_token1,
  [anon_sym_x_SQUOTE] = anon_sym_x_SQUOTE,
  [aux_sym__shell_expanded_raw_string_token1] = aux_sym__shell_expanded_raw_string_token1,
  [aux_sym__shell_expanded_raw_string_token2] = aux_sym__shell_expanded_raw_string_token2,
  [sym_shell_variable_name] = sym_shell_variable_name,
  [sym_escape_variable_end] = sym_escape_variable_end,
  [sym_expansion_long_start] = sym_expansion_long_start,
  [sym_expansion_long_middle] = sym_expansion_long_middle,
  [sym_expansion_long_end] = sym_expansion_long_end,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [sym__eol] = sym__eol,
  [sym_numeric_error] = sym_numeric_error,
  [sym_file] = sym_file,
  [sym_alias] = sym_alias,
  [sym_assignment] = sym_assignment,
  [sym_import] = sym_import,
  [sym_mod] = sym_mod,
  [sym_recipe] = sym_recipe,
  [sym_recipe_parameters] = sym_recipe_parameters,
  [sym__attribute_list] = sym__attribute_list,
  [sym_attribute] = sym_attribute,
  [sym_recipe_parameter] = sym_recipe_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_recipe_dependency] = sym_recipe_dependency,
  [sym__recipe_dependency] = sym__recipe_dependency,
  [sym_recipe_body] = sym_recipe_body,
  [sym_shebang_line] = sym_shebang_line,
  [sym_recipe_line] = sym_recipe_line,
  [sym__recipe_line_choice] = sym__recipe_line_choice,
  [sym_interpolation] = sym_interpolation,
  [sym_setting] = sym_setting,
  [sym__setting_boolean] = sym__setting_boolean,
  [sym__setting_string] = sym__setting_string,
  [sym__setting_list] = sym__setting_list,
  [sym_boolean] = sym_boolean,
  [sym_expression] = sym_expression,
  [sym_condition] = sym_condition,
  [sym_assert_parameters] = sym_assert_parameters,
  [sym_value] = sym_value,
  [sym_function_call] = sym_function_call,
  [sym_function_parameters] = sym_function_parameters,
  [sym_external_command] = sym_external_command,
  [sym__backtick] = sym__backtick,
  [sym__indented_backtick] = sym__indented_backtick,
  [sym_string] = sym_string,
  [sym_shell_expanded_string] = sym_shell_expanded_string,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_expansion_short_start] = sym_expansion_short_start,
  [sym_comment] = sym_comment,
  [sym__ceol] = sym__ceol,
  [aux_sym_file_repeat1] = aux_sym_file_repeat1,
  [aux_sym_alias_repeat1] = aux_sym_alias_repeat1,
  [aux_sym_recipe_repeat1] = aux_sym_recipe_repeat1,
  [aux_sym_recipe_parameters_repeat1] = aux_sym_recipe_parameters_repeat1,
  [aux_sym__attribute_list_repeat1] = aux_sym__attribute_list_repeat1,
  [aux_sym_recipe_dependency_repeat1] = aux_sym_recipe_dependency_repeat1,
  [aux_sym_recipe_body_repeat1] = aux_sym_recipe_body_repeat1,
  [aux_sym_shebang_line_repeat1] = aux_sym_shebang_line_repeat1,
  [aux_sym_shebang_line_repeat2] = aux_sym_shebang_line_repeat2,
  [aux_sym__setting_list_repeat1] = aux_sym__setting_list_repeat1,
  [aux_sym_function_parameters_repeat1] = aux_sym_function_parameters_repeat1,
  [aux_sym__indented_backtick_repeat1] = aux_sym__indented_backtick_repeat1,
  [aux_sym__indented_normal_string_repeat1] = aux_sym__indented_normal_string_repeat1,
  [aux_sym__normal_string_repeat1] = aux_sym__normal_string_repeat1,
  [aux_sym__indented_raw_string_repeat1] = aux_sym__indented_raw_string_repeat1,
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = aux_sym__shell_expanded_indented_normal_string_repeat1,
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = aux_sym__shell_expanded_indented_normal_string_repeat2,
  [aux_sym__shell_expanded_normal_string_repeat1] = aux_sym__shell_expanded_normal_string_repeat1,
  [aux_sym__shell_expanded_normal_string_repeat2] = aux_sym__shell_expanded_normal_string_repeat2,
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = aux_sym__shell_expanded_indented_raw_string_repeat1,
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = aux_sym__shell_expanded_indented_raw_string_repeat2,
  [aux_sym__shell_expanded_raw_string_repeat1] = aux_sym__shell_expanded_raw_string_repeat1,
  [aux_sym__shell_expanded_raw_string_repeat2] = aux_sym__shell_expanded_raw_string_repeat2,
  [alias_sym_path] = alias_sym_path,
  [alias_sym_regex] = alias_sym_regex,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shebang_line_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shebang_line_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_shebang_shell] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__recipe_line_choice_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__backtick_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_backtick_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_variable_end] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_start] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_middle] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_end] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [sym_numeric_error] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_mod] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_list] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_dependency] = {
    .visible = true,
    .named = true,
  },
  [sym__recipe_dependency] = {
    .visible = false,
    .named = true,
  },
  [sym_recipe_body] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang_line] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_line] = {
    .visible = true,
    .named = true,
  },
  [sym__recipe_line_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_setting] = {
    .visible = true,
    .named = true,
  },
  [sym__setting_boolean] = {
    .visible = false,
    .named = true,
  },
  [sym__setting_string] = {
    .visible = false,
    .named = true,
  },
  [sym__setting_list] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_external_command] = {
    .visible = true,
    .named = true,
  },
  [sym__backtick] = {
    .visible = false,
    .named = true,
  },
  [sym__indented_backtick] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_shell_expanded_string] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_short_start] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__ceol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alias_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_dependency_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shebang_line_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shebang_line_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__setting_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_backtick_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_path] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_regex] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_interpolation_marker = 1,
  field_name = 2,
  field_recipe_content = 3,
  field_shebang = 4,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_interpolation_marker] = "interpolation_marker",
  [field_name] = "name",
  [field_recipe_content] = "recipe_content",
  [field_shebang] = "shebang",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 1, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 3, .length = 1},
  [11] = {.index = 5, .length = 1},
  [12] = {.index = 6, .length = 1},
  [13] = {.index = 7, .length = 1},
  [14] = {.index = 8, .length = 1},
  [16] = {.index = 9, .length = 1},
  [17] = {.index = 10, .length = 2},
  [18] = {.index = 8, .length = 1},
  [19] = {.index = 12, .length = 1},
  [20] = {.index = 13, .length = 2},
  [21] = {.index = 15, .length = 1},
  [22] = {.index = 16, .length = 1},
  [23] = {.index = 17, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 1},
  [2] =
    {field_name, 0, .inherited = true},
  [3] =
    {field_name, 2},
  [4] =
    {field_shebang, 0},
  [5] =
    {field_name, 1, .inherited = true},
  [6] =
    {field_recipe_content, 0},
  [7] =
    {field_recipe_content, 0, .inherited = true},
  [8] =
    {field_name, 3},
  [9] =
    {field_recipe_content, 1, .inherited = true},
  [10] =
    {field_recipe_content, 0, .inherited = true},
    {field_recipe_content, 1, .inherited = true},
  [12] =
    {field_recipe_content, 2, .inherited = true},
  [13] =
    {field_interpolation_marker, 0},
    {field_interpolation_marker, 2},
  [15] =
    {field_recipe_content, 3, .inherited = true},
  [16] =
    {field_recipe_content, 4, .inherited = true},
  [17] =
    {field_recipe_content, 5, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [1] = alias_sym_path,
  },
  [5] = {
    [2] = alias_sym_path,
  },
  [7] = {
    [2] = alias_sym_path,
  },
  [9] = {
    [3] = alias_sym_path,
  },
  [10] = {
    [1] = aux_sym__backtick_token1,
  },
  [15] = {
    [2] = alias_sym_regex,
  },
  [18] = {
    [4] = alias_sym_path,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    alias_sym_regex,
  sym_string, 2,
    sym_string,
    alias_sym_path,
  aux_sym__indented_backtick_repeat1, 2,
    aux_sym__indented_backtick_repeat1,
    aux_sym__backtick_token1,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 5,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 9,
  [13] = 8,
  [14] = 8,
  [15] = 9,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 17,
  [28] = 17,
  [29] = 29,
  [30] = 17,
  [31] = 29,
  [32] = 29,
  [33] = 33,
  [34] = 24,
  [35] = 26,
  [36] = 33,
  [37] = 24,
  [38] = 26,
  [39] = 33,
  [40] = 22,
  [41] = 22,
  [42] = 29,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 52,
  [83] = 55,
  [84] = 58,
  [85] = 59,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 87,
  [90] = 88,
  [91] = 87,
  [92] = 92,
  [93] = 88,
  [94] = 53,
  [95] = 54,
  [96] = 63,
  [97] = 64,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 51,
  [102] = 102,
  [103] = 57,
  [104] = 104,
  [105] = 104,
  [106] = 99,
  [107] = 60,
  [108] = 104,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 99,
  [113] = 113,
  [114] = 62,
  [115] = 115,
  [116] = 61,
  [117] = 56,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 143,
  [187] = 184,
  [188] = 185,
  [189] = 189,
  [190] = 162,
  [191] = 163,
  [192] = 192,
  [193] = 193,
  [194] = 184,
  [195] = 185,
  [196] = 162,
  [197] = 163,
  [198] = 198,
  [199] = 120,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 65,
  [209] = 209,
  [210] = 210,
  [211] = 143,
  [212] = 143,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 143,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 143,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 120,
  [263] = 263,
  [264] = 264,
  [265] = 259,
  [266] = 255,
  [267] = 256,
  [268] = 264,
  [269] = 259,
  [270] = 264,
  [271] = 255,
  [272] = 256,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 55,
  [288] = 66,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 51,
  [316] = 316,
  [317] = 65,
  [318] = 57,
  [319] = 319,
  [320] = 320,
  [321] = 302,
  [322] = 322,
  [323] = 65,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 61,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 54,
  [333] = 53,
  [334] = 334,
  [335] = 58,
  [336] = 336,
  [337] = 60,
  [338] = 338,
  [339] = 339,
  [340] = 320,
  [341] = 64,
  [342] = 52,
  [343] = 343,
  [344] = 344,
  [345] = 313,
  [346] = 336,
  [347] = 59,
  [348] = 302,
  [349] = 320,
  [350] = 350,
  [351] = 351,
  [352] = 313,
  [353] = 336,
  [354] = 56,
  [355] = 62,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 63,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 364,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 364,
  [384] = 384,
  [385] = 385,
  [386] = 45,
  [387] = 46,
  [388] = 388,
  [389] = 389,
  [390] = 43,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 46,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 399,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 392,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 389,
  [413] = 413,
  [414] = 391,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 45,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 399,
  [428] = 428,
  [429] = 384,
  [430] = 44,
  [431] = 431,
  [432] = 409,
  [433] = 433,
  [434] = 392,
  [435] = 409,
  [436] = 436,
  [437] = 437,
  [438] = 389,
  [439] = 413,
  [440] = 391,
  [441] = 441,
  [442] = 436,
  [443] = 443,
  [444] = 416,
  [445] = 445,
  [446] = 446,
  [447] = 436,
  [448] = 448,
  [449] = 416,
  [450] = 44,
  [451] = 451,
  [452] = 431,
  [453] = 422,
  [454] = 431,
  [455] = 422,
  [456] = 456,
  [457] = 384,
  [458] = 458,
  [459] = 459,
  [460] = 410,
  [461] = 410,
  [462] = 462,
  [463] = 463,
  [464] = 418,
  [465] = 418,
  [466] = 43,
  [467] = 467,
  [468] = 413,
  [469] = 469,
  [470] = 469,
  [471] = 469,
  [472] = 165,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '!', 40,
        '"', 136,
        '#', 29,
        '$', 83,
        '&', 33,
        '\'', 148,
        '(', 80,
        ')', 81,
        '*', 87,
        '+', 86,
        ',', 78,
        '-', 94,
        '/', 112,
        ':', 74,
        '=', 85,
        '?', 69,
        '@', 71,
        '[', 77,
        '\\', 30,
        ']', 79,
        '`', 117,
        'x', 202,
        '{', 110,
        '}', 201,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '!', 40,
        '"', 136,
        '#', 204,
        '\'', 148,
        '(', 80,
        ')', 81,
        ',', 78,
        '/', 112,
        '=', 41,
        '`', 117,
        'x', 202,
        '{', 109,
        '}', 111,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '"', 136,
        '\'', 148,
        '(', 80,
        ')', 81,
        '+', 86,
        '/', 112,
        '`', 117,
        'x', 202,
        '}', 60,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '$') ADVANCE(82);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '+') ADVANCE(86);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == '=') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 205,
        '\r', 98,
        '#', 103,
        '-', 95,
        '@', 72,
        '{', 105,
        '\t', 99,
        ' ', 99,
      );
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(100);
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(130);
      if (lookahead == '"') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(143);
      if (lookahead != 0) ADVANCE(146);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(124);
      if (lookahead == '`') ADVANCE(125);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(123);
      if (lookahead != 0) ADVANCE(126);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(171);
      if (lookahead == '\r') ADVANCE(167);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(196);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(171);
      if (lookahead == '\r') ADVANCE(167);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(166);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(177);
      if (lookahead == '\r') ADVANCE(178);
      if (lookahead == '"') ADVANCE(135);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(177);
      if (lookahead == '\r') ADVANCE(178);
      if (lookahead == '"') ADVANCE(135);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(179);
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(173);
      if (lookahead == '\r') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(176);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(173);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(159);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(159);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(164);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\r') ADVANCE(138);
      if (lookahead == '"') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(139);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '\r') ADVANCE(184);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(197);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '\r') ADVANCE(184);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(183);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(194);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(188);
      if (lookahead == '\r') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(191);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(188);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(37);
      END_STATE();
    case 30:
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(198);
      END_STATE();
    case 31:
      if (lookahead == '"') ADVANCE(127);
      END_STATE();
    case 32:
      if (lookahead == '"') ADVANCE(158);
      END_STATE();
    case 33:
      if (lookahead == '&') ADVANCE(76);
      END_STATE();
    case 34:
      if (lookahead == '\'') ADVANCE(141);
      END_STATE();
    case 35:
      if (lookahead == '\'') ADVANCE(181);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(200);
      END_STATE();
    case 37:
      if (lookahead == '/') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == '/') ADVANCE(43);
      END_STATE();
    case 39:
      if (lookahead == '/') ADVANCE(44);
      END_STATE();
    case 40:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 41:
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '~') ADVANCE(115);
      END_STATE();
    case 42:
      if (lookahead == '`') ADVANCE(121);
      END_STATE();
    case 43:
      if (lookahead == 'b') ADVANCE(45);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(39);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == 'v') ADVANCE(91);
      END_STATE();
    case 52:
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 53:
      if (lookahead == '{') ADVANCE(96);
      END_STATE();
    case 54:
      if (lookahead == '}') ADVANCE(157);
      END_STATE();
    case 55:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == '}') ADVANCE(108);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '!', 40,
        '"', 136,
        '#', 29,
        '$', 83,
        '&', 33,
        '\'', 148,
        '(', 80,
        ')', 81,
        '*', 87,
        '+', 86,
        ',', 78,
        '-', 94,
        '/', 112,
        ':', 75,
        '=', 85,
        '@', 71,
        '[', 77,
        '\\', 30,
        ']', 79,
        '`', 117,
        'x', 202,
        '{', 110,
        '}', 111,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '!', 40,
        '#', 204,
        '$', 82,
        '&', 33,
        '\'', 147,
        '(', 80,
        ')', 81,
        '*', 87,
        '+', 86,
        ',', 78,
        '/', 112,
        ':', 75,
        '=', 41,
        '?', 69,
        '@', 70,
        '[', 77,
        ']', 79,
        '`', 116,
        '{', 109,
        '}', 111,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\n', 205,
        '\r', 1,
        '!', 40,
        '#', 204,
        '$', 82,
        '&', 33,
        '\'', 147,
        '(', 80,
        ')', 81,
        '*', 87,
        '+', 86,
        ',', 78,
        '/', 112,
        ':', 75,
        '=', 41,
        '@', 70,
        '[', 77,
        ']', 79,
        '`', 116,
        '{', 109,
        '}', 111,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(204);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(88);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '-') ADVANCE(89);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(97);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(199);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '~') ADVANCE(115);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_AT_DASH);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH_AT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_shebang_line_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_shebang_shell);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@') ADVANCE(90);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(97);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_LBRACE_LBRACE);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(97);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(99);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(106);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '#') ADVANCE(103);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(106);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '@') ADVANCE(72);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(106);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(98);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(106);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '!') ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(97);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '/') ADVANCE(50);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(97);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(97);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      if (lookahead == '{') ADVANCE(53);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(107);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(42);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead == '\n') ADVANCE(120);
      if (lookahead == '\r') ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead == '\n') ADVANCE(120);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(124);
      if (lookahead == '`') ADVANCE(125);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(123);
      if (lookahead != 0) ADVANCE(126);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(122);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '`') ADVANCE(42);
      if (lookahead != 0) ADVANCE(122);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(122);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\r') ADVANCE(130);
      if (lookahead == '"') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(128);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(31);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(133);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(128);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(31);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\r') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(137);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead == '\r') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(143);
      if (lookahead != 0) ADVANCE(146);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(142);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\'') ADVANCE(34);
      if (lookahead != 0) ADVANCE(142);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(142);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(34);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '\r') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(151);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(151);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHn);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BSLASHr);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_BSLASHt);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_BSLASH_BSLASH);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_x_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(159);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(159);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(159);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(164);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(159);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(198);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '}') ADVANCE(198);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '\n') ADVANCE(171);
      if (lookahead == '\r') ADVANCE(167);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(171);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '\n') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(165);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '"') ADVANCE(31);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(165);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(170);
      if (lookahead == '}') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(165);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(165);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_x_DQUOTE);
      if (lookahead == '"') ADVANCE(32);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '\n') ADVANCE(173);
      if (lookahead == '\r') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(176);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(198);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '\n') ADVANCE(177);
      if (lookahead == '\r') ADVANCE(178);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(177);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == 'n') ADVANCE(152);
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_x_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '\r') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\'') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(182);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_x_SQUOTE);
      if (lookahead == '\'') ADVANCE(35);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '\n') ADVANCE(188);
      if (lookahead == '\r') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '}') ADVANCE(198);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      if (lookahead == '\n') ADVANCE(205);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(192);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(165);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_escape_variable_end);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_expansion_long_start);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_expansion_long_middle);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_expansion_long_end);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(172);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym__eol);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_numeric_error);
      if (lookahead == '.') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_numeric_error);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'e') ADVANCE(2);
      if (lookahead == 'f') ADVANCE(3);
      if (lookahead == 'i') ADVANCE(4);
      if (lookahead == 'm') ADVANCE(5);
      if (lookahead == 's') ADVANCE(6);
      if (lookahead == 't') ADVANCE(7);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'l') ADVANCE(8);
      if (lookahead == 's') ADVANCE(9);
      END_STATE();
    case 2:
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(11);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'h') ADVANCE(17);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 8:
      if (lookahead == 'i') ADVANCE(19);
      END_STATE();
    case 9:
      if (lookahead == 's') ADVANCE(20);
      END_STATE();
    case 10:
      if (lookahead == 's') ADVANCE(21);
      END_STATE();
    case 11:
      if (lookahead == 'p') ADVANCE(22);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(23);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 14:
      if (lookahead == 'p') ADVANCE(24);
      END_STATE();
    case 15:
      if (lookahead == 'd') ADVANCE(25);
      END_STATE();
    case 16:
      if (lookahead == 't') ADVANCE(26);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 18:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 22:
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(33);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_mod);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 27:
      if (lookahead == 'l') ADVANCE(35);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(37);
      END_STATE();
    case 30:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_shell);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 64},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 64},
  [48] = {.lex_state = 64},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 3},
  [52] = {.lex_state = 3},
  [53] = {.lex_state = 3},
  [54] = {.lex_state = 3},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 3},
  [57] = {.lex_state = 3},
  [58] = {.lex_state = 3},
  [59] = {.lex_state = 3},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 3},
  [62] = {.lex_state = 3},
  [63] = {.lex_state = 3},
  [64] = {.lex_state = 3},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 66},
  [68] = {.lex_state = 66},
  [69] = {.lex_state = 66},
  [70] = {.lex_state = 66},
  [71] = {.lex_state = 66},
  [72] = {.lex_state = 66},
  [73] = {.lex_state = 66},
  [74] = {.lex_state = 66},
  [75] = {.lex_state = 66},
  [76] = {.lex_state = 66},
  [77] = {.lex_state = 66},
  [78] = {.lex_state = 66},
  [79] = {.lex_state = 66},
  [80] = {.lex_state = 66},
  [81] = {.lex_state = 66},
  [82] = {.lex_state = 64},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 64},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 17},
  [87] = {.lex_state = 17},
  [88] = {.lex_state = 17},
  [89] = {.lex_state = 17},
  [90] = {.lex_state = 17},
  [91] = {.lex_state = 17},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 17},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 19},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 19},
  [103] = {.lex_state = 64},
  [104] = {.lex_state = 19},
  [105] = {.lex_state = 19},
  [106] = {.lex_state = 19},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 19},
  [109] = {.lex_state = 66},
  [110] = {.lex_state = 2},
  [111] = {.lex_state = 66},
  [112] = {.lex_state = 19},
  [113] = {.lex_state = 66},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 66},
  [116] = {.lex_state = 64},
  [117] = {.lex_state = 64},
  [118] = {.lex_state = 16},
  [119] = {.lex_state = 66},
  [120] = {.lex_state = 66},
  [121] = {.lex_state = 66},
  [122] = {.lex_state = 66},
  [123] = {.lex_state = 20},
  [124] = {.lex_state = 17},
  [125] = {.lex_state = 9},
  [126] = {.lex_state = 17},
  [127] = {.lex_state = 0},
  [128] = {.lex_state = 17},
  [129] = {.lex_state = 21},
  [130] = {.lex_state = 21},
  [131] = {.lex_state = 20},
  [132] = {.lex_state = 17},
  [133] = {.lex_state = 66},
  [134] = {.lex_state = 66},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 18},
  [137] = {.lex_state = 66},
  [138] = {.lex_state = 66},
  [139] = {.lex_state = 21},
  [140] = {.lex_state = 66},
  [141] = {.lex_state = 66},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 17},
  [144] = {.lex_state = 20},
  [145] = {.lex_state = 19},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 64},
  [148] = {.lex_state = 64},
  [149] = {.lex_state = 64},
  [150] = {.lex_state = 64},
  [151] = {.lex_state = 64},
  [152] = {.lex_state = 19},
  [153] = {.lex_state = 64},
  [154] = {.lex_state = 64},
  [155] = {.lex_state = 64},
  [156] = {.lex_state = 11},
  [157] = {.lex_state = 64},
  [158] = {.lex_state = 64},
  [159] = {.lex_state = 64},
  [160] = {.lex_state = 19},
  [161] = {.lex_state = 64},
  [162] = {.lex_state = 13},
  [163] = {.lex_state = 23},
  [164] = {.lex_state = 64},
  [165] = {.lex_state = 64},
  [166] = {.lex_state = 64},
  [167] = {.lex_state = 64},
  [168] = {.lex_state = 64},
  [169] = {.lex_state = 64},
  [170] = {.lex_state = 64},
  [171] = {.lex_state = 64},
  [172] = {.lex_state = 64},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 64},
  [175] = {.lex_state = 64},
  [176] = {.lex_state = 64},
  [177] = {.lex_state = 64},
  [178] = {.lex_state = 64},
  [179] = {.lex_state = 64},
  [180] = {.lex_state = 64},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 64},
  [183] = {.lex_state = 0},
  [184] = {.lex_state = 13},
  [185] = {.lex_state = 23},
  [186] = {.lex_state = 19},
  [187] = {.lex_state = 13},
  [188] = {.lex_state = 23},
  [189] = {.lex_state = 64},
  [190] = {.lex_state = 13},
  [191] = {.lex_state = 23},
  [192] = {.lex_state = 13},
  [193] = {.lex_state = 23},
  [194] = {.lex_state = 13},
  [195] = {.lex_state = 23},
  [196] = {.lex_state = 13},
  [197] = {.lex_state = 23},
  [198] = {.lex_state = 19},
  [199] = {.lex_state = 64},
  [200] = {.lex_state = 64},
  [201] = {.lex_state = 64},
  [202] = {.lex_state = 64},
  [203] = {.lex_state = 64},
  [204] = {.lex_state = 64},
  [205] = {.lex_state = 64},
  [206] = {.lex_state = 64},
  [207] = {.lex_state = 64},
  [208] = {.lex_state = 64},
  [209] = {.lex_state = 64},
  [210] = {.lex_state = 64},
  [211] = {.lex_state = 21},
  [212] = {.lex_state = 20},
  [213] = {.lex_state = 64},
  [214] = {.lex_state = 64},
  [215] = {.lex_state = 64},
  [216] = {.lex_state = 64},
  [217] = {.lex_state = 64},
  [218] = {.lex_state = 64},
  [219] = {.lex_state = 64},
  [220] = {.lex_state = 64},
  [221] = {.lex_state = 64},
  [222] = {.lex_state = 64},
  [223] = {.lex_state = 64},
  [224] = {.lex_state = 64},
  [225] = {.lex_state = 64},
  [226] = {.lex_state = 64},
  [227] = {.lex_state = 64},
  [228] = {.lex_state = 64},
  [229] = {.lex_state = 64},
  [230] = {.lex_state = 64},
  [231] = {.lex_state = 64},
  [232] = {.lex_state = 23},
  [233] = {.lex_state = 64},
  [234] = {.lex_state = 64},
  [235] = {.lex_state = 64},
  [236] = {.lex_state = 64},
  [237] = {.lex_state = 64},
  [238] = {.lex_state = 13},
  [239] = {.lex_state = 64},
  [240] = {.lex_state = 64},
  [241] = {.lex_state = 64},
  [242] = {.lex_state = 64},
  [243] = {.lex_state = 64},
  [244] = {.lex_state = 64},
  [245] = {.lex_state = 10},
  [246] = {.lex_state = 12},
  [247] = {.lex_state = 4},
  [248] = {.lex_state = 12},
  [249] = {.lex_state = 12},
  [250] = {.lex_state = 12},
  [251] = {.lex_state = 12},
  [252] = {.lex_state = 12},
  [253] = {.lex_state = 12},
  [254] = {.lex_state = 64},
  [255] = {.lex_state = 25},
  [256] = {.lex_state = 27},
  [257] = {.lex_state = 12},
  [258] = {.lex_state = 12},
  [259] = {.lex_state = 27},
  [260] = {.lex_state = 4},
  [261] = {.lex_state = 12},
  [262] = {.lex_state = 64},
  [263] = {.lex_state = 64},
  [264] = {.lex_state = 25},
  [265] = {.lex_state = 27},
  [266] = {.lex_state = 25},
  [267] = {.lex_state = 27},
  [268] = {.lex_state = 25},
  [269] = {.lex_state = 27},
  [270] = {.lex_state = 25},
  [271] = {.lex_state = 25},
  [272] = {.lex_state = 27},
  [273] = {.lex_state = 25},
  [274] = {.lex_state = 27},
  [275] = {.lex_state = 64},
  [276] = {.lex_state = 12},
  [277] = {.lex_state = 64},
  [278] = {.lex_state = 64},
  [279] = {.lex_state = 24},
  [280] = {.lex_state = 64},
  [281] = {.lex_state = 64},
  [282] = {.lex_state = 26},
  [283] = {.lex_state = 28},
  [284] = {.lex_state = 27},
  [285] = {.lex_state = 64},
  [286] = {.lex_state = 64},
  [287] = {.lex_state = 64},
  [288] = {.lex_state = 64},
  [289] = {.lex_state = 64},
  [290] = {.lex_state = 22},
  [291] = {.lex_state = 25},
  [292] = {.lex_state = 28},
  [293] = {.lex_state = 27},
  [294] = {.lex_state = 25},
  [295] = {.lex_state = 22},
  [296] = {.lex_state = 27},
  [297] = {.lex_state = 28},
  [298] = {.lex_state = 25},
  [299] = {.lex_state = 27},
  [300] = {.lex_state = 25},
  [301] = {.lex_state = 22},
  [302] = {.lex_state = 14},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 5},
  [305] = {.lex_state = 5},
  [306] = {.lex_state = 64},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 64},
  [309] = {.lex_state = 64},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 5},
  [312] = {.lex_state = 12},
  [313] = {.lex_state = 15},
  [314] = {.lex_state = 5},
  [315] = {.lex_state = 64},
  [316] = {.lex_state = 64},
  [317] = {.lex_state = 64},
  [318] = {.lex_state = 64},
  [319] = {.lex_state = 12},
  [320] = {.lex_state = 14},
  [321] = {.lex_state = 14},
  [322] = {.lex_state = 12},
  [323] = {.lex_state = 3},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 5},
  [327] = {.lex_state = 64},
  [328] = {.lex_state = 64},
  [329] = {.lex_state = 64},
  [330] = {.lex_state = 0},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 64},
  [333] = {.lex_state = 64},
  [334] = {.lex_state = 64},
  [335] = {.lex_state = 64},
  [336] = {.lex_state = 15},
  [337] = {.lex_state = 64},
  [338] = {.lex_state = 64},
  [339] = {.lex_state = 64},
  [340] = {.lex_state = 14},
  [341] = {.lex_state = 64},
  [342] = {.lex_state = 64},
  [343] = {.lex_state = 64},
  [344] = {.lex_state = 14},
  [345] = {.lex_state = 15},
  [346] = {.lex_state = 15},
  [347] = {.lex_state = 64},
  [348] = {.lex_state = 14},
  [349] = {.lex_state = 14},
  [350] = {.lex_state = 64},
  [351] = {.lex_state = 0},
  [352] = {.lex_state = 15},
  [353] = {.lex_state = 15},
  [354] = {.lex_state = 64},
  [355] = {.lex_state = 64},
  [356] = {.lex_state = 64},
  [357] = {.lex_state = 64},
  [358] = {.lex_state = 15},
  [359] = {.lex_state = 64},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 64},
  [363] = {.lex_state = 64},
  [364] = {.lex_state = 0},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 64},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 64},
  [371] = {.lex_state = 64},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 5},
  [375] = {.lex_state = 64},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 64},
  [378] = {.lex_state = 15},
  [379] = {.lex_state = 64},
  [380] = {.lex_state = 5},
  [381] = {.lex_state = 64},
  [382] = {.lex_state = 64},
  [383] = {.lex_state = 0},
  [384] = {.lex_state = 64},
  [385] = {.lex_state = 8},
  [386] = {.lex_state = 3},
  [387] = {.lex_state = 3},
  [388] = {.lex_state = 64},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 64},
  [391] = {.lex_state = 64},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 64},
  [394] = {.lex_state = 64},
  [395] = {.lex_state = 64},
  [396] = {.lex_state = 64},
  [397] = {.lex_state = 8},
  [398] = {.lex_state = 3},
  [399] = {.lex_state = 64},
  [400] = {.lex_state = 64},
  [401] = {.lex_state = 64},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 64},
  [404] = {.lex_state = 64},
  [405] = {.lex_state = 8},
  [406] = {.lex_state = 64},
  [407] = {.lex_state = 64},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 64},
  [410] = {.lex_state = 64},
  [411] = {.lex_state = 64},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 0},
  [414] = {.lex_state = 64},
  [415] = {.lex_state = 64},
  [416] = {.lex_state = 118},
  [417] = {.lex_state = 64},
  [418] = {.lex_state = 64},
  [419] = {.lex_state = 8},
  [420] = {.lex_state = 64},
  [421] = {.lex_state = 8},
  [422] = {.lex_state = 64},
  [423] = {.lex_state = 64},
  [424] = {.lex_state = 64},
  [425] = {.lex_state = 64},
  [426] = {.lex_state = 8},
  [427] = {.lex_state = 64},
  [428] = {.lex_state = 64},
  [429] = {.lex_state = 64},
  [430] = {.lex_state = 64},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 64},
  [433] = {.lex_state = 64},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 64},
  [436] = {.lex_state = 149},
  [437] = {.lex_state = 8},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 0},
  [440] = {.lex_state = 64},
  [441] = {.lex_state = 8},
  [442] = {.lex_state = 149},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 118},
  [445] = {.lex_state = 64},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 149},
  [448] = {.lex_state = 64},
  [449] = {.lex_state = 118},
  [450] = {.lex_state = 3},
  [451] = {.lex_state = 64},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 64},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 64},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 64},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 64},
  [460] = {.lex_state = 64},
  [461] = {.lex_state = 64},
  [462] = {.lex_state = 64},
  [463] = {.lex_state = 64},
  [464] = {.lex_state = 64},
  [465] = {.lex_state = 64},
  [466] = {.lex_state = 3},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT_DASH] = ACTIONS(1),
    [anon_sym_DASH_AT] = ACTIONS(1),
    [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_shell] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_BSLASHn] = ACTIONS(1),
    [anon_sym_BSLASHr] = ACTIONS(1),
    [anon_sym_BSLASHt] = ACTIONS(1),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_x_DQUOTE] = ACTIONS(1),
    [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_x_SQUOTE] = ACTIONS(1),
    [sym_escape_variable_end] = ACTIONS(1),
    [sym_expansion_long_start] = ACTIONS(1),
    [sym_expansion_long_middle] = ACTIONS(1),
    [sym_expansion_long_end] = ACTIONS(1),
    [sym__eol] = ACTIONS(3),
    [sym_numeric_error] = ACTIONS(1),
  },
  [1] = {
    [sym_file] = STATE(443),
    [sym_alias] = STATE(48),
    [sym_assignment] = STATE(48),
    [sym_import] = STATE(48),
    [sym_mod] = STATE(48),
    [sym_recipe] = STATE(48),
    [sym__attribute_list] = STATE(237),
    [sym_setting] = STATE(48),
    [sym_comment] = STATE(48),
    [aux_sym_file_repeat1] = STATE(48),
    [aux_sym_alias_repeat1] = STATE(237),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_alias] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_mod] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(19),
    [anon_sym_set] = ACTIONS(21),
    [aux_sym_comment_token1] = ACTIONS(23),
    [sym__eol] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_RPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(303), 1,
      sym_expression,
    STATE(438), 1,
      sym_function_parameters,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [76] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(63), 1,
      anon_sym_RPAREN,
    ACTIONS(65), 1,
      anon_sym_SLASH,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(65), 1,
      sym_value,
    STATE(7), 2,
      sym_expression,
      aux_sym_recipe_dependency_repeat1,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [150] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    ACTIONS(89), 1,
      anon_sym_RPAREN,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(303), 1,
      sym_expression,
    STATE(389), 1,
      sym_function_parameters,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [226] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(65), 1,
      anon_sym_SLASH,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    ACTIONS(91), 1,
      anon_sym_RPAREN,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(65), 1,
      sym_value,
    STATE(3), 2,
      sym_expression,
      aux_sym_recipe_dependency_repeat1,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [300] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    ACTIONS(93), 1,
      anon_sym_RPAREN,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(303), 1,
      sym_expression,
    STATE(412), 1,
      sym_function_parameters,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [376] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(95), 1,
      sym_identifier,
    ACTIONS(98), 1,
      anon_sym_LPAREN,
    ACTIONS(101), 1,
      anon_sym_RPAREN,
    ACTIONS(103), 1,
      anon_sym_if,
    ACTIONS(106), 1,
      anon_sym_assert,
    ACTIONS(109), 1,
      anon_sym_SLASH,
    ACTIONS(112), 1,
      anon_sym_BQUOTE,
    ACTIONS(115), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(118), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(121), 1,
      anon_sym_DQUOTE,
    ACTIONS(124), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(127), 1,
      anon_sym_SQUOTE,
    ACTIONS(130), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(133), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(136), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(139), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(142), 1,
      sym_numeric_error,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(65), 1,
      sym_value,
    STATE(7), 2,
      sym_expression,
      aux_sym_recipe_dependency_repeat1,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [450] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(431), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [523] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(418), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [596] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    ACTIONS(145), 1,
      anon_sym_RPAREN,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(373), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [669] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    ACTIONS(147), 1,
      anon_sym_RPAREN,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(373), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [742] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(465), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [815] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(452), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [888] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(454), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [961] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(363), 1,
      sym_expression,
    STATE(464), 1,
      sym_condition,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1034] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 1,
      sym_identifier,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_if,
    ACTIONS(155), 1,
      anon_sym_assert,
    ACTIONS(157), 1,
      anon_sym_SLASH,
    ACTIONS(159), 1,
      anon_sym_BQUOTE,
    ACTIONS(161), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(179), 1,
      sym_numeric_error,
    STATE(317), 1,
      sym_value,
    STATE(329), 1,
      sym_expression,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(318), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(315), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1104] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 1,
      sym_identifier,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_if,
    ACTIONS(155), 1,
      anon_sym_assert,
    ACTIONS(157), 1,
      anon_sym_SLASH,
    ACTIONS(159), 1,
      anon_sym_BQUOTE,
    ACTIONS(161), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(179), 1,
      sym_numeric_error,
    STATE(317), 1,
      sym_value,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(390), 1,
      sym_expression,
    STATE(318), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(315), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1174] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 1,
      sym_identifier,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_if,
    ACTIONS(155), 1,
      anon_sym_assert,
    ACTIONS(157), 1,
      anon_sym_SLASH,
    ACTIONS(159), 1,
      anon_sym_BQUOTE,
    ACTIONS(161), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(179), 1,
      sym_numeric_error,
    STATE(316), 1,
      sym_expression,
    STATE(317), 1,
      sym_value,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(318), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(315), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1244] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 1,
      sym_identifier,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_if,
    ACTIONS(155), 1,
      anon_sym_assert,
    ACTIONS(157), 1,
      anon_sym_SLASH,
    ACTIONS(159), 1,
      anon_sym_BQUOTE,
    ACTIONS(161), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(179), 1,
      sym_numeric_error,
    STATE(317), 1,
      sym_value,
    STATE(338), 1,
      sym_expression,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(318), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(315), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1314] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(381), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1384] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(382), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1454] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(410), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1524] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    ACTIONS(181), 1,
      anon_sym_if,
    ACTIONS(183), 1,
      anon_sym_assert,
    ACTIONS(185), 1,
      anon_sym_SLASH,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(323), 1,
      sym_value,
    STATE(398), 1,
      sym_expression,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1594] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(468), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1664] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(373), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1734] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(391), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1804] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(43), 1,
      sym_expression,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1874] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(65), 1,
      anon_sym_SLASH,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    STATE(43), 1,
      sym_expression,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(65), 1,
      sym_value,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1944] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(44), 1,
      sym_expression,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2014] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    ACTIONS(181), 1,
      anon_sym_if,
    ACTIONS(183), 1,
      anon_sym_assert,
    ACTIONS(185), 1,
      anon_sym_SLASH,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(323), 1,
      sym_value,
    STATE(466), 1,
      sym_expression,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2084] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(65), 1,
      anon_sym_SLASH,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    STATE(44), 1,
      sym_expression,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(65), 1,
      sym_value,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2154] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(59), 1,
      sym_identifier,
    ACTIONS(61), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_BQUOTE,
    ACTIONS(69), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(87), 1,
      sym_numeric_error,
    ACTIONS(181), 1,
      anon_sym_if,
    ACTIONS(183), 1,
      anon_sym_assert,
    ACTIONS(185), 1,
      anon_sym_SLASH,
    STATE(52), 1,
      sym_shell_expanded_string,
    STATE(323), 1,
      sym_value,
    STATE(450), 1,
      sym_expression,
    STATE(57), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(51), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2224] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(408), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2294] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(413), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2364] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(414), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2434] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(434), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2504] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(439), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2574] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(440), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2644] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(392), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2714] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(460), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2784] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_if,
    ACTIONS(33), 1,
      anon_sym_assert,
    ACTIONS(35), 1,
      anon_sym_SLASH,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(208), 1,
      sym_value,
    STATE(461), 1,
      sym_expression,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2854] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 1,
      sym_identifier,
    ACTIONS(151), 1,
      anon_sym_LPAREN,
    ACTIONS(153), 1,
      anon_sym_if,
    ACTIONS(155), 1,
      anon_sym_assert,
    ACTIONS(157), 1,
      anon_sym_SLASH,
    ACTIONS(159), 1,
      anon_sym_BQUOTE,
    ACTIONS(161), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(179), 1,
      sym_numeric_error,
    STATE(317), 1,
      sym_value,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(430), 1,
      sym_expression,
    STATE(318), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(315), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2924] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(187), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(189), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [2955] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(191), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(193), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [2986] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(195), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(197), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3017] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(199), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(201), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3048] = 13,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(203), 1,
      ts_builtin_sym_end,
    ACTIONS(205), 1,
      sym_identifier,
    ACTIONS(208), 1,
      anon_sym_alias,
    ACTIONS(211), 1,
      anon_sym_export,
    ACTIONS(214), 1,
      anon_sym_import,
    ACTIONS(217), 1,
      anon_sym_mod,
    ACTIONS(220), 1,
      anon_sym_AT,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(226), 1,
      anon_sym_set,
    ACTIONS(229), 1,
      aux_sym_comment_token1,
    STATE(237), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    STATE(47), 8,
      sym_alias,
      sym_assignment,
      sym_import,
      sym_mod,
      sym_recipe,
      sym_setting,
      sym_comment,
      aux_sym_file_repeat1,
  [3096] = 13,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_alias,
    ACTIONS(11), 1,
      anon_sym_export,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_mod,
    ACTIONS(17), 1,
      anon_sym_AT,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(21), 1,
      anon_sym_set,
    ACTIONS(23), 1,
      aux_sym_comment_token1,
    ACTIONS(232), 1,
      ts_builtin_sym_end,
    STATE(237), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    STATE(47), 8,
      sym_alias,
      sym_assignment,
      sym_import,
      sym_mod,
      sym_recipe,
      sym_setting,
      sym_comment,
      aux_sym_file_repeat1,
  [3144] = 18,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(280), 1,
      sym_value,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [3202] = 18,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(25), 1,
      sym_identifier,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(37), 1,
      anon_sym_BQUOTE,
    ACTIONS(39), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(57), 1,
      sym_numeric_error,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(281), 1,
      sym_value,
    STATE(103), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(101), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [3260] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(234), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(236), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3287] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(238), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(240), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3314] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(242), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(244), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3341] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(246), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(248), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3368] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(250), 1,
      anon_sym_LPAREN,
    ACTIONS(234), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(236), 10,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3397] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(252), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(254), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3424] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(256), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(258), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3451] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(260), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(262), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3478] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(264), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(266), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3505] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(268), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(270), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3532] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(272), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(274), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3559] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(276), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(278), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3586] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(280), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(282), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3613] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(284), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(286), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3640] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(292), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(288), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(290), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3668] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(294), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(296), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3693] = 7,
    ACTIONS(298), 1,
      ts_builtin_sym_end,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    STATE(109), 1,
      sym_shebang_line,
    STATE(171), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(300), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3724] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(306), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(149), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(308), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3755] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(310), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(172), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(312), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3786] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(314), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(175), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(316), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3817] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(318), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(177), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(320), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3848] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(322), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(155), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(324), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3879] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(326), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(179), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(328), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3910] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(330), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(154), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(332), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3941] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(334), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(180), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(336), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [3972] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(338), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(174), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(340), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4003] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(342), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(202), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(344), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4034] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(346), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(169), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(348), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4065] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(350), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(161), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(352), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4096] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(354), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(164), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(356), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4127] = 7,
    ACTIONS(302), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(358), 1,
      ts_builtin_sym_end,
    STATE(109), 1,
      sym_shebang_line,
    STATE(170), 1,
      sym_recipe_body,
    STATE(111), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(360), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4158] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(240), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4178] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(362), 1,
      anon_sym_LPAREN,
    ACTIONS(236), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4200] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(262), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4220] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(266), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4240] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(364), 1,
      anon_sym_DOLLAR,
    ACTIONS(367), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(375), 1,
      sym_expansion_long_start,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(372), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(86), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(369), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4272] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(380), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(384), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(86), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4304] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    ACTIONS(388), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(390), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(89), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4336] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    ACTIONS(392), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(384), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(86), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4368] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    ACTIONS(394), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(396), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(91), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4400] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    ACTIONS(398), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(384), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(86), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4432] = 14,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(400), 1,
      anon_sym_LBRACK,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(394), 1,
      sym_boolean,
    STATE(462), 1,
      sym_string,
    ACTIONS(402), 2,
      anon_sym_true,
      anon_sym_false,
  [4476] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(378), 1,
      anon_sym_DOLLAR,
    ACTIONS(386), 1,
      sym_expansion_long_start,
    ACTIONS(404), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(441), 1,
      sym_expansion_short_start,
    ACTIONS(406), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(87), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(382), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4508] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(244), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4528] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(248), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4548] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(282), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4567] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(286), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4586] = 14,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(410), 1,
      sym__eol,
    STATE(158), 1,
      sym__ceol,
    STATE(339), 1,
      sym_string,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(470), 1,
      sym_comment,
  [4629] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(388), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(416), 1,
      aux_sym__shell_expanded_normal_string_token2,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(104), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4660] = 14,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(420), 1,
      sym__eol,
    STATE(178), 1,
      sym__ceol,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(362), 1,
      sym_string,
    STATE(470), 1,
      sym_comment,
  [4703] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(236), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4722] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(422), 1,
      anon_sym_DOLLAR,
    ACTIONS(425), 1,
      anon_sym_DQUOTE,
    ACTIONS(430), 1,
      aux_sym__shell_expanded_normal_string_token2,
    ACTIONS(433), 1,
      sym_expansion_long_start,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(102), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(427), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4753] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(258), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4772] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(392), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    ACTIONS(436), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(102), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4803] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(380), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    ACTIONS(436), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(102), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4834] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(394), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    ACTIONS(438), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(108), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4865] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(270), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [4884] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(398), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    ACTIONS(436), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(102), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4915] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(440), 1,
      ts_builtin_sym_end,
    ACTIONS(444), 1,
      aux_sym_shebang_line_token1,
    STATE(113), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(442), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4940] = 14,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(446), 1,
      sym__eol,
    STATE(200), 1,
      sym__ceol,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(356), 1,
      sym_string,
    STATE(470), 1,
      sym_comment,
  [4983] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(444), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(448), 1,
      ts_builtin_sym_end,
    STATE(115), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(450), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5008] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(404), 1,
      anon_sym_DQUOTE,
    ACTIONS(412), 1,
      anon_sym_DOLLAR,
    ACTIONS(418), 1,
      sym_expansion_long_start,
    ACTIONS(452), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(421), 1,
      sym_expansion_short_start,
    STATE(105), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(414), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5039] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(444), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(454), 1,
      ts_builtin_sym_end,
    STATE(115), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(456), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5064] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(278), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [5083] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(458), 1,
      ts_builtin_sym_end,
    ACTIONS(462), 1,
      aux_sym_shebang_line_token1,
    STATE(115), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(460), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5108] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(274), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [5127] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(254), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      sym_identifier,
  [5146] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(467), 1,
      sym_shell_variable_name,
    ACTIONS(465), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5166] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(469), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(471), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5185] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(473), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(475), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5204] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(477), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(479), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5223] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(481), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(483), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5242] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(489), 1,
      sym_expansion_long_end,
    ACTIONS(487), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(144), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(485), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5265] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(367), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5282] = 8,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(495), 1,
      anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(261), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(491), 2,
      anon_sym_AT,
      anon_sym_DASH,
    ACTIONS(493), 2,
      anon_sym_AT_DASH,
      anon_sym_DASH_AT,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [5311] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(501), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5328] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(503), 1,
      anon_sym_RBRACK,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(366), 1,
      sym_string,
  [5365] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(505), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5382] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(513), 1,
      sym_expansion_long_end,
    ACTIONS(510), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(129), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(507), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5405] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(519), 1,
      sym_expansion_long_end,
    ACTIONS(517), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(139), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(515), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5428] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(527), 1,
      sym_expansion_long_end,
    ACTIONS(524), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(131), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(521), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5451] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(529), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5468] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(531), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(533), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5487] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(535), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(537), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5506] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(539), 1,
      anon_sym_RBRACK,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(366), 1,
      sym_string,
  [5543] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(543), 1,
      sym_shell_variable_name,
    ACTIONS(541), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [5562] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(545), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(547), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5581] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(549), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(551), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5600] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(555), 1,
      sym_expansion_long_end,
    ACTIONS(553), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(129), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(515), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5623] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(549), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(551), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5642] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(557), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(559), 9,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5661] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(561), 1,
      anon_sym_QMARK,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(350), 1,
      sym_string,
  [5698] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(563), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5715] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(567), 1,
      sym_expansion_long_end,
    ACTIONS(565), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(131), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(485), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5738] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(569), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [5754] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(325), 1,
      sym_string,
  [5788] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(571), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(573), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5806] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(575), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(577), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5824] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(322), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(324), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5842] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(579), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(581), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5860] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(583), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(585), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5878] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(587), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [5894] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(589), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(591), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5912] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(350), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(352), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5930] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(354), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(356), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5948] = 6,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(261), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
    ACTIONS(491), 4,
      anon_sym_AT,
      anon_sym_AT_DASH,
      anon_sym_DASH_AT,
      anon_sym_DASH,
  [5972] = 10,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(595), 1,
      anon_sym_COLON_EQ,
    ACTIONS(597), 1,
      anon_sym_COLON,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    STATE(244), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(278), 1,
      sym_recipe_parameter,
    STATE(393), 1,
      sym_recipe_parameters,
    STATE(411), 1,
      sym_variadic_parameter,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [6004] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(603), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(605), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6022] = 10,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    ACTIONS(607), 1,
      anon_sym_COLON_EQ,
    ACTIONS(609), 1,
      anon_sym_COLON,
    STATE(244), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(278), 1,
      sym_recipe_parameter,
    STATE(411), 1,
      sym_variadic_parameter,
    STATE(428), 1,
      sym_recipe_parameters,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [6054] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(611), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6070] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(346), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(348), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6088] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(613), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(615), 1,
      aux_sym__indented_normal_string_token1,
    STATE(192), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6110] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(613), 1,
      anon_sym_DQUOTE,
    ACTIONS(619), 1,
      aux_sym__normal_string_token1,
    STATE(193), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6132] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(358), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(360), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6150] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(623), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(625), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6168] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(627), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(629), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6186] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(631), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(633), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6204] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(635), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(637), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6222] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(310), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(312), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6240] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(338), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(340), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6258] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(314), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(316), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6276] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(318), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(320), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6294] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(366), 1,
      sym_string,
  [6328] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(639), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(641), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6346] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(326), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(328), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6364] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(643), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(645), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6382] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(647), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(649), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6400] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(651), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(653), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6418] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(334), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(336), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6436] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(655), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(657), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6454] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(41), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE,
    STATE(82), 1,
      sym_shell_expanded_string,
    STATE(467), 1,
      sym_string,
  [6488] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(659), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(661), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6506] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_SQUOTE,
    ACTIONS(171), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(173), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_x_SQUOTE,
    STATE(342), 1,
      sym_shell_expanded_string,
    STATE(357), 1,
      sym_string,
  [6540] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(663), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(665), 1,
      aux_sym__indented_normal_string_token1,
    STATE(162), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6562] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(663), 1,
      anon_sym_DQUOTE,
    ACTIONS(667), 1,
      aux_sym__normal_string_token1,
    STATE(163), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6584] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(563), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6600] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(669), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(671), 1,
      aux_sym__indented_normal_string_token1,
    STATE(190), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6622] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(669), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      aux_sym__normal_string_token1,
    STATE(191), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6644] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(675), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(677), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6662] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(615), 1,
      aux_sym__indented_normal_string_token1,
    ACTIONS(679), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(192), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6684] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(619), 1,
      aux_sym__normal_string_token1,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    STATE(193), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6706] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(681), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(683), 1,
      aux_sym__indented_normal_string_token1,
    STATE(192), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(686), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6728] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(689), 1,
      anon_sym_DQUOTE,
    ACTIONS(691), 1,
      aux_sym__normal_string_token1,
    STATE(193), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(694), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6750] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(697), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(699), 1,
      aux_sym__indented_normal_string_token1,
    STATE(196), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6772] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(697), 1,
      anon_sym_DQUOTE,
    ACTIONS(701), 1,
      aux_sym__normal_string_token1,
    STATE(197), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6794] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(615), 1,
      aux_sym__indented_normal_string_token1,
    ACTIONS(703), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(192), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(617), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6816] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(619), 1,
      aux_sym__normal_string_token1,
    ACTIONS(703), 1,
      anon_sym_DQUOTE,
    STATE(193), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(621), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6838] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(425), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6854] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(473), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(475), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6872] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(705), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(707), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6890] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(709), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(711), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6908] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(298), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(300), 6,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6926] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(715), 1,
      anon_sym_AMP_AMP,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      sym__eol,
    STATE(72), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [6955] = 9,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    ACTIONS(721), 1,
      anon_sym_COLON,
    STATE(244), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(278), 1,
      sym_recipe_parameter,
    STATE(393), 1,
      sym_recipe_parameters,
    STATE(411), 1,
      sym_variadic_parameter,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [6984] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(725), 1,
      sym__eol,
    STATE(67), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7013] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(725), 1,
      sym__eol,
    STATE(67), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(216), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7042] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(727), 1,
      anon_sym_AMP_AMP,
    ACTIONS(729), 1,
      sym__eol,
    STATE(74), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(219), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7071] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(290), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
  [7088] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(715), 1,
      anon_sym_AMP_AMP,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      sym__eol,
    STATE(72), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(214), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7117] = 9,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    ACTIONS(733), 1,
      anon_sym_COLON,
    STATE(244), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(278), 1,
      sym_recipe_parameter,
    STATE(411), 1,
      sym_variadic_parameter,
    STATE(463), 1,
      sym_recipe_parameters,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [7146] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(735), 1,
      sym_expansion_long_end,
    ACTIONS(563), 8,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [7163] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(735), 1,
      sym_expansion_long_end,
    ACTIONS(563), 8,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
  [7180] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(739), 1,
      sym__eol,
    STATE(78), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7209] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(743), 1,
      sym__eol,
    STATE(80), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7238] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(747), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(213), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7267] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(749), 1,
      anon_sym_AMP_AMP,
    ACTIONS(751), 1,
      sym__eol,
    STATE(70), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7296] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(755), 1,
      sym__eol,
    STATE(68), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(203), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7325] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(759), 1,
      sym__eol,
    STATE(77), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(205), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7354] = 9,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(747), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7383] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(761), 1,
      sym__eol,
    STATE(71), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7409] = 5,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(765), 1,
      anon_sym_AT,
    ACTIONS(767), 1,
      anon_sym_LBRACK,
    STATE(221), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    ACTIONS(763), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [7429] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      sym__eol,
    STATE(72), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(225), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7455] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(770), 1,
      sym__eol,
    STATE(73), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(234), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7481] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      sym__eol,
    STATE(80), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(239), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7507] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      sym__eol,
    STATE(80), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7533] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      sym__eol,
    STATE(78), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(229), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7559] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(725), 1,
      sym__eol,
    STATE(67), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(231), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7585] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(772), 1,
      sym__eol,
    STATE(76), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7611] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      sym__eol,
    STATE(69), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7637] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      sym__eol,
    STATE(78), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7663] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      sym__eol,
    STATE(70), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7689] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(563), 8,
      anon_sym_DQUOTE,
      aux_sym__normal_string_token1,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7703] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      sym__eol,
    STATE(70), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(240), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7729] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(776), 1,
      sym__eol,
    STATE(75), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7755] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      sym__eol,
    STATE(69), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(220), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7781] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(778), 1,
      sym__eol,
    STATE(81), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(228), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7807] = 8,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(19), 1,
      anon_sym_LBRACK,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_alias,
    ACTIONS(784), 1,
      anon_sym_export,
    ACTIONS(786), 1,
      anon_sym_mod,
    ACTIONS(788), 1,
      anon_sym_AT,
    STATE(221), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
  [7833] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(563), 8,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__indented_normal_string_token1,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7847] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(778), 1,
      sym__eol,
    STATE(81), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7873] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(770), 1,
      sym__eol,
    STATE(73), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7899] = 8,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(713), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(469), 1,
      sym_comment,
    STATE(230), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7925] = 6,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(790), 1,
      anon_sym_COLON_EQ,
    ACTIONS(792), 1,
      sym__eol,
    STATE(182), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
    STATE(308), 3,
      sym__setting_boolean,
      sym__setting_string,
      sym__setting_list,
  [7946] = 5,
    ACTIONS(794), 1,
      sym_identifier,
    ACTIONS(799), 1,
      anon_sym_LPAREN,
    STATE(289), 1,
      sym__recipe_dependency,
    STATE(243), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
    ACTIONS(797), 3,
      anon_sym_AMP_AMP,
      aux_sym_comment_token1,
      sym__eol,
  [7965] = 7,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    STATE(263), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(277), 1,
      sym_recipe_parameter,
    STATE(445), 1,
      sym_variadic_parameter,
    ACTIONS(601), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [7988] = 6,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(802), 1,
      anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
    STATE(249), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8009] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(804), 1,
      sym__eol,
    STATE(258), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8027] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(808), 1,
      anon_sym_EQ,
    ACTIONS(806), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8041] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(810), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8059] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(812), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8077] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(814), 1,
      sym__eol,
    STATE(253), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8095] = 5,
    ACTIONS(819), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(822), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(816), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8113] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(824), 1,
      sym__eol,
    STATE(257), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8131] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(826), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8149] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(830), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(828), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8163] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(380), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(834), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    STATE(273), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8185] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(840), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    STATE(274), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8207] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(844), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8225] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(846), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8243] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(404), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    ACTIONS(848), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(256), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8265] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(850), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8279] = 5,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(854), 1,
      sym__eol,
    STATE(251), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8297] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(473), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(475), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8311] = 5,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(856), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(862), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
    STATE(263), 2,
      sym_recipe_parameter,
      aux_sym_recipe_parameters_repeat1,
  [8329] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(388), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    ACTIONS(864), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(266), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8351] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(388), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    ACTIONS(866), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(267), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8373] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(392), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(834), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    STATE(273), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8395] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(392), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(840), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    STATE(274), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8417] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(394), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    ACTIONS(868), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(271), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8439] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(394), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    ACTIONS(870), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(272), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8461] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    ACTIONS(872), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(255), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8483] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(398), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(832), 1,
      anon_sym_DOLLAR,
    ACTIONS(834), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(836), 1,
      sym_expansion_long_start,
    STATE(273), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8505] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(398), 1,
      anon_sym_SQUOTE,
    ACTIONS(838), 1,
      anon_sym_DOLLAR,
    ACTIONS(840), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(842), 1,
      sym_expansion_long_start,
    STATE(274), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8527] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(874), 1,
      anon_sym_DOLLAR,
    ACTIONS(877), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(879), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(882), 1,
      sym_expansion_long_start,
    STATE(273), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(397), 1,
      sym_expansion_short_start,
  [8549] = 7,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(885), 1,
      anon_sym_DOLLAR,
    ACTIONS(888), 1,
      anon_sym_SQUOTE,
    ACTIONS(890), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(893), 1,
      sym_expansion_long_start,
    STATE(274), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(426), 1,
      sym_expansion_short_start,
  [8571] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(898), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(896), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8585] = 5,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(248), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(497), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(322), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8603] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(902), 1,
      anon_sym_COLON,
    ACTIONS(900), 4,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8616] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(904), 1,
      anon_sym_COLON,
    ACTIONS(900), 4,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8629] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(467), 1,
      sym_shell_variable_name,
    ACTIONS(906), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8642] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(908), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8653] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(910), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8664] = 3,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(543), 1,
      sym_shell_variable_name,
    ACTIONS(912), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8677] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(916), 1,
      sym_expansion_long_end,
    STATE(297), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(914), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [8691] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(918), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8701] = 1,
    ACTIONS(920), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [8709] = 1,
    ACTIONS(922), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [8717] = 2,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(236), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [8727] = 1,
    ACTIONS(296), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [8735] = 1,
    ACTIONS(926), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [8743] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(930), 1,
      sym_expansion_long_end,
    STATE(301), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(928), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [8757] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(932), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8767] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(936), 1,
      sym_expansion_long_end,
    STATE(283), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(934), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [8781] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(938), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8791] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(940), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8801] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(945), 1,
      sym_expansion_long_end,
    STATE(295), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(942), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [8815] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(947), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8825] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(952), 1,
      sym_expansion_long_end,
    STATE(297), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(949), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [8839] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(877), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8849] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(888), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8859] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(954), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8869] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(958), 1,
      sym_expansion_long_end,
    STATE(295), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(956), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [8883] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(669), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(960), 1,
      aux_sym__indented_raw_string_token1,
    STATE(340), 1,
      aux_sym__indented_raw_string_repeat1,
  [8896] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(361), 1,
      aux_sym_function_parameters_repeat1,
  [8909] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(966), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(968), 1,
      sym_shebang_shell,
    STATE(314), 1,
      aux_sym_shebang_line_repeat1,
  [8922] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(966), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(970), 1,
      sym_shebang_shell,
    STATE(314), 1,
      aux_sym_shebang_line_repeat1,
  [8935] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(972), 1,
      sym__eol,
    STATE(275), 1,
      sym__ceol,
    STATE(471), 1,
      sym_comment,
  [8948] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(974), 1,
      anon_sym_COMMA,
    ACTIONS(976), 1,
      anon_sym_RBRACK,
    STATE(331), 1,
      aux_sym__attribute_list_repeat1,
  [8961] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(978), 1,
      sym__eol,
    STATE(147), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [8974] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(593), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_DOLLAR,
    STATE(433), 1,
      sym_recipe_parameter,
  [8987] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(982), 1,
      anon_sym_LPAREN,
    ACTIONS(980), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [8998] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(984), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(986), 1,
      sym_shebang_shell,
    STATE(304), 1,
      aux_sym_shebang_line_repeat1,
  [9011] = 1,
    ACTIONS(988), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9018] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(990), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    STATE(336), 1,
      aux_sym__indented_backtick_repeat1,
  [9031] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(994), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(997), 1,
      sym_shebang_shell,
    STATE(314), 1,
      aux_sym_shebang_line_repeat1,
  [9044] = 1,
    ACTIONS(236), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9051] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(999), 1,
      sym__eol,
    STATE(148), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9064] = 2,
    ACTIONS(290), 2,
      aux_sym_comment_token1,
      sym__eol,
    ACTIONS(1001), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
  [9073] = 1,
    ACTIONS(258), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9080] = 1,
    ACTIONS(1003), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9087] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(613), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1005), 1,
      aux_sym__indented_raw_string_token1,
    STATE(344), 1,
      aux_sym__indented_raw_string_repeat1,
  [9100] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(663), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1007), 1,
      aux_sym__indented_raw_string_token1,
    STATE(320), 1,
      aux_sym__indented_raw_string_repeat1,
  [9113] = 1,
    ACTIONS(1009), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9120] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(290), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(1011), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
  [9131] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(503), 1,
      anon_sym_RBRACK,
    ACTIONS(1013), 1,
      anon_sym_COMMA,
    STATE(351), 1,
      aux_sym__setting_list_repeat1,
  [9144] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1015), 1,
      anon_sym_COMMA,
    ACTIONS(1017), 1,
      anon_sym_RBRACK,
    STATE(324), 1,
      aux_sym__setting_list_repeat1,
  [9157] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(968), 1,
      sym_shebang_shell,
    ACTIONS(1019), 1,
      aux_sym_shebang_line_token2,
    STATE(305), 1,
      aux_sym_shebang_line_repeat1,
  [9170] = 1,
    ACTIONS(274), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9177] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1021), 1,
      sym__eol,
    STATE(150), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9190] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1023), 1,
      sym__eol,
    STATE(151), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9203] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(974), 1,
      anon_sym_COMMA,
    ACTIONS(1025), 1,
      anon_sym_RBRACK,
    STATE(307), 1,
      aux_sym__attribute_list_repeat1,
  [9216] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1027), 1,
      anon_sym_COMMA,
    ACTIONS(1030), 1,
      anon_sym_RBRACK,
    STATE(331), 1,
      aux_sym__attribute_list_repeat1,
  [9229] = 1,
    ACTIONS(248), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9236] = 1,
    ACTIONS(244), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9243] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1032), 1,
      sym__eol,
    STATE(166), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9256] = 1,
    ACTIONS(262), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9263] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1034), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(358), 1,
      aux_sym__indented_backtick_repeat1,
  [9276] = 1,
    ACTIONS(270), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9283] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1036), 1,
      sym__eol,
    STATE(167), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9296] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1038), 1,
      sym__eol,
    STATE(168), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9309] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(679), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1005), 1,
      aux_sym__indented_raw_string_token1,
    STATE(344), 1,
      aux_sym__indented_raw_string_repeat1,
  [9322] = 1,
    ACTIONS(286), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9329] = 1,
    ACTIONS(240), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9336] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1040), 1,
      sym__eol,
    STATE(254), 1,
      sym__ceol,
    STATE(471), 1,
      sym_comment,
  [9349] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1042), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1044), 1,
      aux_sym__indented_raw_string_token1,
    STATE(344), 1,
      aux_sym__indented_raw_string_repeat1,
  [9362] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1047), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(346), 1,
      aux_sym__indented_backtick_repeat1,
  [9375] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1049), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(358), 1,
      aux_sym__indented_backtick_repeat1,
  [9388] = 1,
    ACTIONS(266), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9395] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(697), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1051), 1,
      aux_sym__indented_raw_string_token1,
    STATE(349), 1,
      aux_sym__indented_raw_string_repeat1,
  [9408] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(703), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1005), 1,
      aux_sym__indented_raw_string_token1,
    STATE(344), 1,
      aux_sym__indented_raw_string_repeat1,
  [9421] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1053), 1,
      sym__eol,
    STATE(176), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9434] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1055), 1,
      anon_sym_COMMA,
    ACTIONS(1058), 1,
      anon_sym_RBRACK,
    STATE(351), 1,
      aux_sym__setting_list_repeat1,
  [9447] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1060), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(353), 1,
      aux_sym__indented_backtick_repeat1,
  [9460] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(992), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1062), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(358), 1,
      aux_sym__indented_backtick_repeat1,
  [9473] = 1,
    ACTIONS(254), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9480] = 1,
    ACTIONS(278), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9487] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1064), 1,
      sym__eol,
    STATE(153), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9500] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1066), 1,
      sym__eol,
    STATE(189), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9513] = 4,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1068), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1070), 1,
      aux_sym__indented_backtick_token1,
    STATE(358), 1,
      aux_sym__indented_backtick_repeat1,
  [9526] = 1,
    ACTIONS(282), 4,
      anon_sym_PLUS,
      anon_sym_SLASH,
      aux_sym_comment_token1,
      sym__eol,
  [9533] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1073), 1,
      anon_sym_COMMA,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    STATE(360), 1,
      aux_sym_function_parameters_repeat1,
  [9546] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(147), 1,
      anon_sym_RPAREN,
    ACTIONS(1078), 1,
      anon_sym_COMMA,
    STATE(360), 1,
      aux_sym_function_parameters_repeat1,
  [9559] = 4,
    ACTIONS(408), 1,
      aux_sym_comment_token1,
    ACTIONS(1080), 1,
      sym__eol,
    STATE(201), 1,
      sym__ceol,
    STATE(470), 1,
      sym_comment,
  [9572] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1084), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(1082), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9583] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1086), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_assert_parameters,
  [9593] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1030), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [9601] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [9609] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1088), 1,
      sym_identifier,
    STATE(365), 1,
      sym_attribute,
  [9619] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1090), 1,
      anon_sym_LPAREN,
    STATE(450), 1,
      sym_assert_parameters,
  [9629] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1092), 1,
      sym_expansion_long_middle,
    ACTIONS(1094), 1,
      sym_expansion_long_end,
  [9639] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1096), 1,
      sym_identifier,
    ACTIONS(1098), 1,
      anon_sym_QMARK,
  [9649] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1100), 1,
      sym_identifier,
    STATE(5), 1,
      sym__recipe_dependency,
  [9659] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1102), 1,
      sym_expansion_long_middle,
    ACTIONS(1104), 1,
      sym_expansion_long_end,
  [9669] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1076), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [9677] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1106), 1,
      sym_expansion_long_middle,
    ACTIONS(1108), 1,
      sym_expansion_long_end,
  [9687] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1088), 1,
      sym_identifier,
    STATE(330), 1,
      sym_attribute,
  [9697] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1110), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [9705] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1112), 2,
      anon_sym_shell,
      sym_identifier,
  [9713] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1114), 2,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      aux_sym__indented_backtick_token1,
  [9721] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_QMARK,
  [9731] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1120), 1,
      sym_expansion_long_middle,
    ACTIONS(1122), 1,
      sym_expansion_long_end,
  [9741] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1124), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [9749] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1126), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [9757] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1128), 1,
      anon_sym_LPAREN,
    STATE(430), 1,
      sym_assert_parameters,
  [9767] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1130), 1,
      anon_sym_else,
  [9774] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1132), 1,
      sym_shell_variable_name,
  [9781] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(197), 1,
      anon_sym_RBRACE_RBRACE,
  [9788] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(201), 1,
      anon_sym_RBRACE_RBRACE,
  [9795] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1134), 1,
      sym_identifier,
  [9802] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1136), 1,
      anon_sym_RPAREN,
  [9809] = 1,
    ACTIONS(189), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9814] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
  [9821] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1140), 1,
      anon_sym_RPAREN,
  [9828] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1142), 1,
      anon_sym_COLON,
  [9835] = 1,
    ACTIONS(1144), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9840] = 1,
    ACTIONS(201), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9845] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1146), 1,
      sym_identifier,
  [9852] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1148), 1,
      sym_shell_variable_name,
  [9859] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1150), 1,
      anon_sym_RBRACE_RBRACE,
  [9866] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1152), 1,
      anon_sym_SQUOTE,
  [9873] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1154), 1,
      anon_sym_SQUOTE,
  [9880] = 1,
    ACTIONS(1156), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9885] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(595), 1,
      anon_sym_COLON_EQ,
  [9892] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1158), 1,
      sym_identifier,
  [9899] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1096), 1,
      sym_identifier,
  [9906] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1160), 1,
      sym_shell_variable_name,
  [9913] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1162), 1,
      sym_identifier,
  [9920] = 1,
    ACTIONS(1164), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9925] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
  [9932] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1168), 1,
      anon_sym_BQUOTE,
  [9939] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1170), 1,
      anon_sym_RBRACE,
  [9946] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(904), 1,
      anon_sym_COLON,
  [9953] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
  [9960] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1174), 1,
      anon_sym_RPAREN,
  [9967] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1176), 1,
      anon_sym_RBRACE,
  [9974] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1178), 1,
      sym_identifier,
  [9981] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1180), 1,
      aux_sym__backtick_token1,
  [9988] = 1,
    ACTIONS(1182), 2,
      aux_sym_comment_token1,
      sym__eol,
  [9993] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
  [10000] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1186), 1,
      sym_shell_variable_name,
  [10007] = 1,
    ACTIONS(1188), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10012] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1190), 1,
      sym_shell_variable_name,
  [10019] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1192), 1,
      anon_sym_LBRACE,
  [10026] = 1,
    ACTIONS(197), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10031] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1194), 1,
      sym_identifier,
  [10038] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1196), 1,
      sym_identifier,
  [10045] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1198), 1,
      sym_shell_variable_name,
  [10052] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1200), 1,
      anon_sym_SQUOTE,
  [10059] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1202), 1,
      anon_sym_COLON,
  [10066] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1204), 1,
      anon_sym_else,
  [10073] = 1,
    ACTIONS(193), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10078] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1206), 1,
      anon_sym_COMMA,
  [10085] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1208), 1,
      anon_sym_BQUOTE,
  [10092] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1210), 1,
      anon_sym_COLON,
  [10099] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1212), 1,
      anon_sym_RPAREN,
  [10106] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1214), 1,
      anon_sym_BQUOTE,
  [10113] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1216), 1,
      aux_sym__raw_string_token1,
  [10120] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1218), 1,
      sym_shell_variable_name,
  [10127] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1220), 1,
      anon_sym_RPAREN,
  [10134] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1222), 1,
      anon_sym_RPAREN,
  [10141] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1224), 1,
      anon_sym_RBRACE,
  [10148] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1226), 1,
      sym_shell_variable_name,
  [10155] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1228), 1,
      aux_sym__raw_string_token1,
  [10162] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1230), 1,
      ts_builtin_sym_end,
  [10169] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1232), 1,
      aux_sym__backtick_token1,
  [10176] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(902), 1,
      anon_sym_COLON,
  [10183] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1234), 1,
      anon_sym_COLON_EQ,
  [10190] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1236), 1,
      aux_sym__raw_string_token1,
  [10197] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1238), 1,
      sym_identifier,
  [10204] = 2,
    ACTIONS(304), 1,
      sym__eol,
    ACTIONS(1240), 1,
      aux_sym__backtick_token1,
  [10211] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(193), 1,
      anon_sym_RBRACE_RBRACE,
  [10218] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1242), 1,
      sym_identifier,
  [10225] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1244), 1,
      anon_sym_COMMA,
  [10232] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1246), 1,
      anon_sym_LBRACE,
  [10239] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1248), 1,
      anon_sym_COMMA,
  [10246] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
  [10253] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1252), 1,
      anon_sym_COLON_EQ,
  [10260] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1254), 1,
      anon_sym_else,
  [10267] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1256), 1,
      anon_sym_COLON_EQ,
  [10274] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1258), 1,
      sym_identifier,
  [10281] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1260), 1,
      anon_sym_RBRACE,
  [10288] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1262), 1,
      anon_sym_RBRACE,
  [10295] = 1,
    ACTIONS(1264), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10300] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1266), 1,
      anon_sym_COLON,
  [10307] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1268), 1,
      anon_sym_LBRACE,
  [10314] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1270), 1,
      anon_sym_LBRACE,
  [10321] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(189), 1,
      anon_sym_RBRACE_RBRACE,
  [10328] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1272), 1,
      anon_sym_RPAREN,
  [10335] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1274), 1,
      anon_sym_RPAREN,
  [10342] = 1,
    ACTIONS(1276), 1,
      sym__eol,
  [10346] = 1,
    ACTIONS(1278), 1,
      sym__eol,
  [10350] = 1,
    ACTIONS(1280), 1,
      sym__eol,
  [10354] = 1,
    ACTIONS(623), 1,
      sym__eol,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 76,
  [SMALL_STATE(4)] = 150,
  [SMALL_STATE(5)] = 226,
  [SMALL_STATE(6)] = 300,
  [SMALL_STATE(7)] = 376,
  [SMALL_STATE(8)] = 450,
  [SMALL_STATE(9)] = 523,
  [SMALL_STATE(10)] = 596,
  [SMALL_STATE(11)] = 669,
  [SMALL_STATE(12)] = 742,
  [SMALL_STATE(13)] = 815,
  [SMALL_STATE(14)] = 888,
  [SMALL_STATE(15)] = 961,
  [SMALL_STATE(16)] = 1034,
  [SMALL_STATE(17)] = 1104,
  [SMALL_STATE(18)] = 1174,
  [SMALL_STATE(19)] = 1244,
  [SMALL_STATE(20)] = 1314,
  [SMALL_STATE(21)] = 1384,
  [SMALL_STATE(22)] = 1454,
  [SMALL_STATE(23)] = 1524,
  [SMALL_STATE(24)] = 1594,
  [SMALL_STATE(25)] = 1664,
  [SMALL_STATE(26)] = 1734,
  [SMALL_STATE(27)] = 1804,
  [SMALL_STATE(28)] = 1874,
  [SMALL_STATE(29)] = 1944,
  [SMALL_STATE(30)] = 2014,
  [SMALL_STATE(31)] = 2084,
  [SMALL_STATE(32)] = 2154,
  [SMALL_STATE(33)] = 2224,
  [SMALL_STATE(34)] = 2294,
  [SMALL_STATE(35)] = 2364,
  [SMALL_STATE(36)] = 2434,
  [SMALL_STATE(37)] = 2504,
  [SMALL_STATE(38)] = 2574,
  [SMALL_STATE(39)] = 2644,
  [SMALL_STATE(40)] = 2714,
  [SMALL_STATE(41)] = 2784,
  [SMALL_STATE(42)] = 2854,
  [SMALL_STATE(43)] = 2924,
  [SMALL_STATE(44)] = 2955,
  [SMALL_STATE(45)] = 2986,
  [SMALL_STATE(46)] = 3017,
  [SMALL_STATE(47)] = 3048,
  [SMALL_STATE(48)] = 3096,
  [SMALL_STATE(49)] = 3144,
  [SMALL_STATE(50)] = 3202,
  [SMALL_STATE(51)] = 3260,
  [SMALL_STATE(52)] = 3287,
  [SMALL_STATE(53)] = 3314,
  [SMALL_STATE(54)] = 3341,
  [SMALL_STATE(55)] = 3368,
  [SMALL_STATE(56)] = 3397,
  [SMALL_STATE(57)] = 3424,
  [SMALL_STATE(58)] = 3451,
  [SMALL_STATE(59)] = 3478,
  [SMALL_STATE(60)] = 3505,
  [SMALL_STATE(61)] = 3532,
  [SMALL_STATE(62)] = 3559,
  [SMALL_STATE(63)] = 3586,
  [SMALL_STATE(64)] = 3613,
  [SMALL_STATE(65)] = 3640,
  [SMALL_STATE(66)] = 3668,
  [SMALL_STATE(67)] = 3693,
  [SMALL_STATE(68)] = 3724,
  [SMALL_STATE(69)] = 3755,
  [SMALL_STATE(70)] = 3786,
  [SMALL_STATE(71)] = 3817,
  [SMALL_STATE(72)] = 3848,
  [SMALL_STATE(73)] = 3879,
  [SMALL_STATE(74)] = 3910,
  [SMALL_STATE(75)] = 3941,
  [SMALL_STATE(76)] = 3972,
  [SMALL_STATE(77)] = 4003,
  [SMALL_STATE(78)] = 4034,
  [SMALL_STATE(79)] = 4065,
  [SMALL_STATE(80)] = 4096,
  [SMALL_STATE(81)] = 4127,
  [SMALL_STATE(82)] = 4158,
  [SMALL_STATE(83)] = 4178,
  [SMALL_STATE(84)] = 4200,
  [SMALL_STATE(85)] = 4220,
  [SMALL_STATE(86)] = 4240,
  [SMALL_STATE(87)] = 4272,
  [SMALL_STATE(88)] = 4304,
  [SMALL_STATE(89)] = 4336,
  [SMALL_STATE(90)] = 4368,
  [SMALL_STATE(91)] = 4400,
  [SMALL_STATE(92)] = 4432,
  [SMALL_STATE(93)] = 4476,
  [SMALL_STATE(94)] = 4508,
  [SMALL_STATE(95)] = 4528,
  [SMALL_STATE(96)] = 4548,
  [SMALL_STATE(97)] = 4567,
  [SMALL_STATE(98)] = 4586,
  [SMALL_STATE(99)] = 4629,
  [SMALL_STATE(100)] = 4660,
  [SMALL_STATE(101)] = 4703,
  [SMALL_STATE(102)] = 4722,
  [SMALL_STATE(103)] = 4753,
  [SMALL_STATE(104)] = 4772,
  [SMALL_STATE(105)] = 4803,
  [SMALL_STATE(106)] = 4834,
  [SMALL_STATE(107)] = 4865,
  [SMALL_STATE(108)] = 4884,
  [SMALL_STATE(109)] = 4915,
  [SMALL_STATE(110)] = 4940,
  [SMALL_STATE(111)] = 4983,
  [SMALL_STATE(112)] = 5008,
  [SMALL_STATE(113)] = 5039,
  [SMALL_STATE(114)] = 5064,
  [SMALL_STATE(115)] = 5083,
  [SMALL_STATE(116)] = 5108,
  [SMALL_STATE(117)] = 5127,
  [SMALL_STATE(118)] = 5146,
  [SMALL_STATE(119)] = 5166,
  [SMALL_STATE(120)] = 5185,
  [SMALL_STATE(121)] = 5204,
  [SMALL_STATE(122)] = 5223,
  [SMALL_STATE(123)] = 5242,
  [SMALL_STATE(124)] = 5265,
  [SMALL_STATE(125)] = 5282,
  [SMALL_STATE(126)] = 5311,
  [SMALL_STATE(127)] = 5328,
  [SMALL_STATE(128)] = 5365,
  [SMALL_STATE(129)] = 5382,
  [SMALL_STATE(130)] = 5405,
  [SMALL_STATE(131)] = 5428,
  [SMALL_STATE(132)] = 5451,
  [SMALL_STATE(133)] = 5468,
  [SMALL_STATE(134)] = 5487,
  [SMALL_STATE(135)] = 5506,
  [SMALL_STATE(136)] = 5543,
  [SMALL_STATE(137)] = 5562,
  [SMALL_STATE(138)] = 5581,
  [SMALL_STATE(139)] = 5600,
  [SMALL_STATE(140)] = 5623,
  [SMALL_STATE(141)] = 5642,
  [SMALL_STATE(142)] = 5661,
  [SMALL_STATE(143)] = 5698,
  [SMALL_STATE(144)] = 5715,
  [SMALL_STATE(145)] = 5738,
  [SMALL_STATE(146)] = 5754,
  [SMALL_STATE(147)] = 5788,
  [SMALL_STATE(148)] = 5806,
  [SMALL_STATE(149)] = 5824,
  [SMALL_STATE(150)] = 5842,
  [SMALL_STATE(151)] = 5860,
  [SMALL_STATE(152)] = 5878,
  [SMALL_STATE(153)] = 5894,
  [SMALL_STATE(154)] = 5912,
  [SMALL_STATE(155)] = 5930,
  [SMALL_STATE(156)] = 5948,
  [SMALL_STATE(157)] = 5972,
  [SMALL_STATE(158)] = 6004,
  [SMALL_STATE(159)] = 6022,
  [SMALL_STATE(160)] = 6054,
  [SMALL_STATE(161)] = 6070,
  [SMALL_STATE(162)] = 6088,
  [SMALL_STATE(163)] = 6110,
  [SMALL_STATE(164)] = 6132,
  [SMALL_STATE(165)] = 6150,
  [SMALL_STATE(166)] = 6168,
  [SMALL_STATE(167)] = 6186,
  [SMALL_STATE(168)] = 6204,
  [SMALL_STATE(169)] = 6222,
  [SMALL_STATE(170)] = 6240,
  [SMALL_STATE(171)] = 6258,
  [SMALL_STATE(172)] = 6276,
  [SMALL_STATE(173)] = 6294,
  [SMALL_STATE(174)] = 6328,
  [SMALL_STATE(175)] = 6346,
  [SMALL_STATE(176)] = 6364,
  [SMALL_STATE(177)] = 6382,
  [SMALL_STATE(178)] = 6400,
  [SMALL_STATE(179)] = 6418,
  [SMALL_STATE(180)] = 6436,
  [SMALL_STATE(181)] = 6454,
  [SMALL_STATE(182)] = 6488,
  [SMALL_STATE(183)] = 6506,
  [SMALL_STATE(184)] = 6540,
  [SMALL_STATE(185)] = 6562,
  [SMALL_STATE(186)] = 6584,
  [SMALL_STATE(187)] = 6600,
  [SMALL_STATE(188)] = 6622,
  [SMALL_STATE(189)] = 6644,
  [SMALL_STATE(190)] = 6662,
  [SMALL_STATE(191)] = 6684,
  [SMALL_STATE(192)] = 6706,
  [SMALL_STATE(193)] = 6728,
  [SMALL_STATE(194)] = 6750,
  [SMALL_STATE(195)] = 6772,
  [SMALL_STATE(196)] = 6794,
  [SMALL_STATE(197)] = 6816,
  [SMALL_STATE(198)] = 6838,
  [SMALL_STATE(199)] = 6854,
  [SMALL_STATE(200)] = 6872,
  [SMALL_STATE(201)] = 6890,
  [SMALL_STATE(202)] = 6908,
  [SMALL_STATE(203)] = 6926,
  [SMALL_STATE(204)] = 6955,
  [SMALL_STATE(205)] = 6984,
  [SMALL_STATE(206)] = 7013,
  [SMALL_STATE(207)] = 7042,
  [SMALL_STATE(208)] = 7071,
  [SMALL_STATE(209)] = 7088,
  [SMALL_STATE(210)] = 7117,
  [SMALL_STATE(211)] = 7146,
  [SMALL_STATE(212)] = 7163,
  [SMALL_STATE(213)] = 7180,
  [SMALL_STATE(214)] = 7209,
  [SMALL_STATE(215)] = 7238,
  [SMALL_STATE(216)] = 7267,
  [SMALL_STATE(217)] = 7296,
  [SMALL_STATE(218)] = 7325,
  [SMALL_STATE(219)] = 7354,
  [SMALL_STATE(220)] = 7383,
  [SMALL_STATE(221)] = 7409,
  [SMALL_STATE(222)] = 7429,
  [SMALL_STATE(223)] = 7455,
  [SMALL_STATE(224)] = 7481,
  [SMALL_STATE(225)] = 7507,
  [SMALL_STATE(226)] = 7533,
  [SMALL_STATE(227)] = 7559,
  [SMALL_STATE(228)] = 7585,
  [SMALL_STATE(229)] = 7611,
  [SMALL_STATE(230)] = 7637,
  [SMALL_STATE(231)] = 7663,
  [SMALL_STATE(232)] = 7689,
  [SMALL_STATE(233)] = 7703,
  [SMALL_STATE(234)] = 7729,
  [SMALL_STATE(235)] = 7755,
  [SMALL_STATE(236)] = 7781,
  [SMALL_STATE(237)] = 7807,
  [SMALL_STATE(238)] = 7833,
  [SMALL_STATE(239)] = 7847,
  [SMALL_STATE(240)] = 7873,
  [SMALL_STATE(241)] = 7899,
  [SMALL_STATE(242)] = 7925,
  [SMALL_STATE(243)] = 7946,
  [SMALL_STATE(244)] = 7965,
  [SMALL_STATE(245)] = 7988,
  [SMALL_STATE(246)] = 8009,
  [SMALL_STATE(247)] = 8027,
  [SMALL_STATE(248)] = 8041,
  [SMALL_STATE(249)] = 8059,
  [SMALL_STATE(250)] = 8077,
  [SMALL_STATE(251)] = 8095,
  [SMALL_STATE(252)] = 8113,
  [SMALL_STATE(253)] = 8131,
  [SMALL_STATE(254)] = 8149,
  [SMALL_STATE(255)] = 8163,
  [SMALL_STATE(256)] = 8185,
  [SMALL_STATE(257)] = 8207,
  [SMALL_STATE(258)] = 8225,
  [SMALL_STATE(259)] = 8243,
  [SMALL_STATE(260)] = 8265,
  [SMALL_STATE(261)] = 8279,
  [SMALL_STATE(262)] = 8297,
  [SMALL_STATE(263)] = 8311,
  [SMALL_STATE(264)] = 8329,
  [SMALL_STATE(265)] = 8351,
  [SMALL_STATE(266)] = 8373,
  [SMALL_STATE(267)] = 8395,
  [SMALL_STATE(268)] = 8417,
  [SMALL_STATE(269)] = 8439,
  [SMALL_STATE(270)] = 8461,
  [SMALL_STATE(271)] = 8483,
  [SMALL_STATE(272)] = 8505,
  [SMALL_STATE(273)] = 8527,
  [SMALL_STATE(274)] = 8549,
  [SMALL_STATE(275)] = 8571,
  [SMALL_STATE(276)] = 8585,
  [SMALL_STATE(277)] = 8603,
  [SMALL_STATE(278)] = 8616,
  [SMALL_STATE(279)] = 8629,
  [SMALL_STATE(280)] = 8642,
  [SMALL_STATE(281)] = 8653,
  [SMALL_STATE(282)] = 8664,
  [SMALL_STATE(283)] = 8677,
  [SMALL_STATE(284)] = 8691,
  [SMALL_STATE(285)] = 8701,
  [SMALL_STATE(286)] = 8709,
  [SMALL_STATE(287)] = 8717,
  [SMALL_STATE(288)] = 8727,
  [SMALL_STATE(289)] = 8735,
  [SMALL_STATE(290)] = 8743,
  [SMALL_STATE(291)] = 8757,
  [SMALL_STATE(292)] = 8767,
  [SMALL_STATE(293)] = 8781,
  [SMALL_STATE(294)] = 8791,
  [SMALL_STATE(295)] = 8801,
  [SMALL_STATE(296)] = 8815,
  [SMALL_STATE(297)] = 8825,
  [SMALL_STATE(298)] = 8839,
  [SMALL_STATE(299)] = 8849,
  [SMALL_STATE(300)] = 8859,
  [SMALL_STATE(301)] = 8869,
  [SMALL_STATE(302)] = 8883,
  [SMALL_STATE(303)] = 8896,
  [SMALL_STATE(304)] = 8909,
  [SMALL_STATE(305)] = 8922,
  [SMALL_STATE(306)] = 8935,
  [SMALL_STATE(307)] = 8948,
  [SMALL_STATE(308)] = 8961,
  [SMALL_STATE(309)] = 8974,
  [SMALL_STATE(310)] = 8987,
  [SMALL_STATE(311)] = 8998,
  [SMALL_STATE(312)] = 9011,
  [SMALL_STATE(313)] = 9018,
  [SMALL_STATE(314)] = 9031,
  [SMALL_STATE(315)] = 9044,
  [SMALL_STATE(316)] = 9051,
  [SMALL_STATE(317)] = 9064,
  [SMALL_STATE(318)] = 9073,
  [SMALL_STATE(319)] = 9080,
  [SMALL_STATE(320)] = 9087,
  [SMALL_STATE(321)] = 9100,
  [SMALL_STATE(322)] = 9113,
  [SMALL_STATE(323)] = 9120,
  [SMALL_STATE(324)] = 9131,
  [SMALL_STATE(325)] = 9144,
  [SMALL_STATE(326)] = 9157,
  [SMALL_STATE(327)] = 9170,
  [SMALL_STATE(328)] = 9177,
  [SMALL_STATE(329)] = 9190,
  [SMALL_STATE(330)] = 9203,
  [SMALL_STATE(331)] = 9216,
  [SMALL_STATE(332)] = 9229,
  [SMALL_STATE(333)] = 9236,
  [SMALL_STATE(334)] = 9243,
  [SMALL_STATE(335)] = 9256,
  [SMALL_STATE(336)] = 9263,
  [SMALL_STATE(337)] = 9276,
  [SMALL_STATE(338)] = 9283,
  [SMALL_STATE(339)] = 9296,
  [SMALL_STATE(340)] = 9309,
  [SMALL_STATE(341)] = 9322,
  [SMALL_STATE(342)] = 9329,
  [SMALL_STATE(343)] = 9336,
  [SMALL_STATE(344)] = 9349,
  [SMALL_STATE(345)] = 9362,
  [SMALL_STATE(346)] = 9375,
  [SMALL_STATE(347)] = 9388,
  [SMALL_STATE(348)] = 9395,
  [SMALL_STATE(349)] = 9408,
  [SMALL_STATE(350)] = 9421,
  [SMALL_STATE(351)] = 9434,
  [SMALL_STATE(352)] = 9447,
  [SMALL_STATE(353)] = 9460,
  [SMALL_STATE(354)] = 9473,
  [SMALL_STATE(355)] = 9480,
  [SMALL_STATE(356)] = 9487,
  [SMALL_STATE(357)] = 9500,
  [SMALL_STATE(358)] = 9513,
  [SMALL_STATE(359)] = 9526,
  [SMALL_STATE(360)] = 9533,
  [SMALL_STATE(361)] = 9546,
  [SMALL_STATE(362)] = 9559,
  [SMALL_STATE(363)] = 9572,
  [SMALL_STATE(364)] = 9583,
  [SMALL_STATE(365)] = 9593,
  [SMALL_STATE(366)] = 9601,
  [SMALL_STATE(367)] = 9609,
  [SMALL_STATE(368)] = 9619,
  [SMALL_STATE(369)] = 9629,
  [SMALL_STATE(370)] = 9639,
  [SMALL_STATE(371)] = 9649,
  [SMALL_STATE(372)] = 9659,
  [SMALL_STATE(373)] = 9669,
  [SMALL_STATE(374)] = 9677,
  [SMALL_STATE(375)] = 9687,
  [SMALL_STATE(376)] = 9697,
  [SMALL_STATE(377)] = 9705,
  [SMALL_STATE(378)] = 9713,
  [SMALL_STATE(379)] = 9721,
  [SMALL_STATE(380)] = 9731,
  [SMALL_STATE(381)] = 9741,
  [SMALL_STATE(382)] = 9749,
  [SMALL_STATE(383)] = 9757,
  [SMALL_STATE(384)] = 9767,
  [SMALL_STATE(385)] = 9774,
  [SMALL_STATE(386)] = 9781,
  [SMALL_STATE(387)] = 9788,
  [SMALL_STATE(388)] = 9795,
  [SMALL_STATE(389)] = 9802,
  [SMALL_STATE(390)] = 9809,
  [SMALL_STATE(391)] = 9814,
  [SMALL_STATE(392)] = 9821,
  [SMALL_STATE(393)] = 9828,
  [SMALL_STATE(394)] = 9835,
  [SMALL_STATE(395)] = 9840,
  [SMALL_STATE(396)] = 9845,
  [SMALL_STATE(397)] = 9852,
  [SMALL_STATE(398)] = 9859,
  [SMALL_STATE(399)] = 9866,
  [SMALL_STATE(400)] = 9873,
  [SMALL_STATE(401)] = 9880,
  [SMALL_STATE(402)] = 9885,
  [SMALL_STATE(403)] = 9892,
  [SMALL_STATE(404)] = 9899,
  [SMALL_STATE(405)] = 9906,
  [SMALL_STATE(406)] = 9913,
  [SMALL_STATE(407)] = 9920,
  [SMALL_STATE(408)] = 9925,
  [SMALL_STATE(409)] = 9932,
  [SMALL_STATE(410)] = 9939,
  [SMALL_STATE(411)] = 9946,
  [SMALL_STATE(412)] = 9953,
  [SMALL_STATE(413)] = 9960,
  [SMALL_STATE(414)] = 9967,
  [SMALL_STATE(415)] = 9974,
  [SMALL_STATE(416)] = 9981,
  [SMALL_STATE(417)] = 9988,
  [SMALL_STATE(418)] = 9993,
  [SMALL_STATE(419)] = 10000,
  [SMALL_STATE(420)] = 10007,
  [SMALL_STATE(421)] = 10012,
  [SMALL_STATE(422)] = 10019,
  [SMALL_STATE(423)] = 10026,
  [SMALL_STATE(424)] = 10031,
  [SMALL_STATE(425)] = 10038,
  [SMALL_STATE(426)] = 10045,
  [SMALL_STATE(427)] = 10052,
  [SMALL_STATE(428)] = 10059,
  [SMALL_STATE(429)] = 10066,
  [SMALL_STATE(430)] = 10073,
  [SMALL_STATE(431)] = 10078,
  [SMALL_STATE(432)] = 10085,
  [SMALL_STATE(433)] = 10092,
  [SMALL_STATE(434)] = 10099,
  [SMALL_STATE(435)] = 10106,
  [SMALL_STATE(436)] = 10113,
  [SMALL_STATE(437)] = 10120,
  [SMALL_STATE(438)] = 10127,
  [SMALL_STATE(439)] = 10134,
  [SMALL_STATE(440)] = 10141,
  [SMALL_STATE(441)] = 10148,
  [SMALL_STATE(442)] = 10155,
  [SMALL_STATE(443)] = 10162,
  [SMALL_STATE(444)] = 10169,
  [SMALL_STATE(445)] = 10176,
  [SMALL_STATE(446)] = 10183,
  [SMALL_STATE(447)] = 10190,
  [SMALL_STATE(448)] = 10197,
  [SMALL_STATE(449)] = 10204,
  [SMALL_STATE(450)] = 10211,
  [SMALL_STATE(451)] = 10218,
  [SMALL_STATE(452)] = 10225,
  [SMALL_STATE(453)] = 10232,
  [SMALL_STATE(454)] = 10239,
  [SMALL_STATE(455)] = 10246,
  [SMALL_STATE(456)] = 10253,
  [SMALL_STATE(457)] = 10260,
  [SMALL_STATE(458)] = 10267,
  [SMALL_STATE(459)] = 10274,
  [SMALL_STATE(460)] = 10281,
  [SMALL_STATE(461)] = 10288,
  [SMALL_STATE(462)] = 10295,
  [SMALL_STATE(463)] = 10300,
  [SMALL_STATE(464)] = 10307,
  [SMALL_STATE(465)] = 10314,
  [SMALL_STATE(466)] = 10321,
  [SMALL_STATE(467)] = 10328,
  [SMALL_STATE(468)] = 10335,
  [SMALL_STATE(469)] = 10342,
  [SMALL_STATE(470)] = 10346,
  [SMALL_STATE(471)] = 10350,
  [SMALL_STATE(472)] = 10354,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [95] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(55),
  [98] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(15),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(31),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(449),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(51),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 3, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 2, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 3, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 3, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 0),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_parameters, 5, 0, 0),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_parameters, 5, 0, 0),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 9, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 9, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 1, 0, 0),
  [234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 1, 0, 0),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1, 0, 0),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_expanded_string, 2, 0, 0),
  [248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_expanded_string, 2, 0, 0),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__backtick, 3, 0, 0),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__backtick, 3, 0, 0),
  [256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_command, 1, 0, 0),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_command, 1, 0, 0),
  [260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_expanded_string, 3, 0, 0),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_expanded_string, 3, 0, 0),
  [268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_backtick, 2, 0, 0),
  [270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_backtick, 2, 0, 0),
  [272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 3, 0, 0),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 3, 0, 0),
  [276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_backtick, 3, 0, 10),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_backtick, 3, 0, 10),
  [280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 1),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 1),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 1),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 1),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__recipe_dependency, 1, 0, 1),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recipe_dependency, 1, 0, 1),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 6),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 6),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 3, 0, 1),
  [308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 3, 0, 1),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 3),
  [312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 3),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 6),
  [316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 6),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 3),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 3),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 4, 0, 1),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 4, 0, 1),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 6),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 6),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 4, 0, 3),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 4, 0, 3),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 9, 0, 6),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 9, 0, 6),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 1),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 1),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 6),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 6),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 3),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 3),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 3),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 3),
  [354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 1),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 1),
  [358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 1),
  [360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 1),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(118),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(143),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(86),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(437),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(136),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(186),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(102),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(405),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 1, 0, 8),
  [442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 1, 0, 8),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 1, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 1, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 2, 0, 8),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 2, 0, 8),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 1, 0, 0),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion_short_start, 1, 0, 0),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 6, 0, 0),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 6, 0, 0),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ceol, 2, 0, 0),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ceol, 2, 0, 0),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_line, 3, 0, 16),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_line, 3, 0, 16),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 4, 0, 0),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 4, 0, 0),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 4, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 5, 0, 0),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 3, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 5, 0, 0),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 5, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 5, 0, 21),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 5, 0, 21),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 1, 0, 0),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion_short_start, 1, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 6, 0, 22),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 6, 0, 22),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_line, 4, 0, 19),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_line, 4, 0, 19),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 7, 0, 23),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 7, 0, 23),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 5, 0, 0),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setting, 4, 0, 3),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setting, 4, 0, 3),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 1),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 4, 0, 1),
  [579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 5, 0, 3),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 5, 0, 3),
  [583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 3),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 5, 0, 3),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 3, 0, 0),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 5, 0, 9),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 5, 0, 9),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 5, 0, 14),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 5, 0, 14),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 4, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment, 1, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 6, 0, 6),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 6, 0, 6),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 6, 0, 6),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 6, 0, 6),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 6, 0, 18),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 6, 0, 18),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 1),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 1),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 3, 0, 2),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 3, 0, 2),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 9, 0, 3),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 9, 0, 3),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 3, 0, 3),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 3, 0, 3),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 10, 0, 6),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 10, 0, 6),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setting, 3, 0, 3),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setting, 3, 0, 3),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 5),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, 0, 5),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(192),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 4, 0, 6),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 4, 0, 6),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 4, 0, 7),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 4, 0, 7),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0),
  [799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 1, 0, 1),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17), SHIFT_REPEAT(312),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17), SHIFT_REPEAT(23),
  [822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_list, 5, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_list, 5, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 2, 0, 3),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(448),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(279),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(273),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(385),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(282),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(274),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(419),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_list, 4, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_list, 4, 0, 0),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 1, 0, 0),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameters, 2, 0, 0),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameters, 1, 0, 0),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 1, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 3, 0, 1),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 4, 0, 3),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 1, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 4, 0, 0),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 4, 0, 11),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 3, 0, 11),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 1, 0, 4),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 3, 0, 0),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 3, 0, 0),
  [940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 5, 0, 0),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat1, 2, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 5, 0, 0),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat1, 2, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 4, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 1, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 1),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__recipe_line_choice, 1, 0, 12),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shebang_line_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shebang_line_repeat1, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 20),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 1, 0, 13),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_list_repeat1, 2, 0, 0),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_raw_string_repeat1, 2, 0, 0),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(344),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__setting_list_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__setting_list_repeat1, 2, 0, 0),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 2, 0, 0),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [1073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(25),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2, 0, 0),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 1),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 1, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 15),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_boolean, 2, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 4, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 5, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 6, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1230] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_string, 2, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_just(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
